package cn.sh.stc.sict.theme.common.controller;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.common.dto.SocketMsg;
import cn.sh.stc.sict.theme.handler.WebSocketServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.websocket.EncodeException;
import java.io.IOException;

@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("/msg")
@Api(tags = "[B]消息通知")
public class MessageController {

    @ApiOperation("发送消息")
    @PostMapping("/send")
    public R send(@RequestBody SocketMsg msg,
                  @RequestParam("userId")String userId) throws IOException, EncodeException {
        WebSocketServer.sendInfo(msg, userId);
        return new R();
    }
}
