package cn.sh.stc.sict.theme.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 黄浦-科普文章
 *
 * @author F_xh
 * @date 2020-12-23 15:30:34
 */
@Data
public class ArticleParam {

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;
    /**
     * 简介
     */
    @ApiModelProperty(value = "简介")
    private String description;
    /**
     * 标签(分号分隔)
     */
    @ApiModelProperty(value = "标签(分号分隔)")
    private String tags;
    /**
     * 文章模式(内容布局（纯文字、单图、多图（三张）、视频）)
     */
    @ApiModelProperty(value = "文章模式(内容布局（纯文字、单图、多图（三张）、视频）)")
    private String contentLayout;
    /**
     * 是否发布
     */
    @ApiModelProperty(value = "是否发布")
    private Byte isPublished;
    /**
     *
     */
    @ApiModelProperty(value = "开始时间")
    private Date startTime;
    /**
     *
     */
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "是否带附件（0-否 1-是）")
    private Byte withPic;
}
