package cn.sh.stc.sict.theme.common.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 黄浦-科普文章
 *
 * @author F_xh
 * @date 2020-12-23 15:30:34
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_article")
public class HphyArticle extends Model<HphyArticle> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty(hidden = false, value = "标题")
    private String title;
    /**
     * 类型
     */
    @ApiModelProperty(hidden = false, value = "类型")
    private String type;
    /**
     * 简介
     */
    @ApiModelProperty(hidden = false, value = "简介")
    private String description;
    /**
     * 标签(分号分隔)
     */
    @ApiModelProperty(hidden = false, value = "标签(分号分隔)")
    private String tags;
    /**
     * 文章模式(内容布局（纯文字、单图、多图（三张）、视频）)
     */
    @ApiModelProperty(hidden = false, value = "文章模式(内容布局（纯文字、单图、多图（三张）、视频）)")
    private String contentLayout;
    /**
     * 封面
     */
    @ApiModelProperty(hidden = false, value = "封面")
    private String covers;
    /**
     * 内容
     */
    @ApiModelProperty(hidden = false, value = "内容")
    private String content;
    /**
     * 是否发布
     */
    @ApiModelProperty(hidden = false, value = "是否发布")
    private Byte isPublished;
    /**
     * 是否删除
     */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "是否删除")
    private Byte isDeleted;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private String createUserName;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private String updateUserName;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
