package cn.sh.stc.sict.theme.hpgp.controller.mobile;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hpgp.service.HpgpBusyIdlePredictionService;
import com.baomidou.mybatisplus.extension.api.ApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 黄浦全科导诊——忙闲预测(HpgpBusyIdlePrediction)维护接口
 *
 * @author zhangly
 * @since 2022-01-14 09:56:44
 */
@Api(value = "[C] 黄浦全科导诊——忙闲预测维护接口", tags = "[C] 黄浦全科导诊——忙闲预测维护接口")
@RestController
@RequestMapping("/hpgp/c/busyidleprediction")
@AllArgsConstructor
public class HpgpBusyIdlePredictionController extends ApiController {
    /**
     * 服务对象
     */
    private final HpgpBusyIdlePredictionService hpgpBusyIdlePredictionService;

    @GetMapping
    public R<?> busyIdlePrediction(@ApiParam("标准科室名称") @RequestParam("deptName") String deptName){
        return new R<>().success(hpgpBusyIdlePredictionService.busyIdlePrediction(deptName));
    }

}
