package cn.sh.stc.sict.theme.hpgp.controller.mobile;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hpgp.model.HpgpDiagnosticExperience;
import cn.sh.stc.sict.theme.hpgp.service.HpgpDiagnosticExperienceService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.api.ApiController;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * 黄浦全科导诊——诊断经验云词(HpgpDiagnosticExperience)维护接口
 *
 * @author zhangly
 * @since 2022-01-14 09:56:49
 */
@Api(value = "[C] 黄浦全科导诊——诊断经验云词维护接口", tags = "[C] 黄浦全科导诊——诊断经验云词维护接口")
@RestController
@RequestMapping("/hpgp/c/dia/exp")
@AllArgsConstructor
public class HpgpDiagnosticExperienceController extends ApiController {
    /**
     * 服务对象
     */
    private final HpgpDiagnosticExperienceService hpgpDiagnosticExperienceService;

    /**
     * 分页查询
     *
     * @param page                     分页对象
     * @param hpgpDiagnosticExperience 黄浦全科导诊——诊断经验云词
     * @return
     */
    @ApiOperation("分页查询")
    @GetMapping("/page")
    public R<?> getHpgpDiagnosticExperiencePage(Page page, HpgpDiagnosticExperience hpgpDiagnosticExperience) {
        page = hpgpDiagnosticExperienceService.page(page, Wrappers.query(hpgpDiagnosticExperience));
        return new R<>(page);
    }

    /**
     * 新增机构信息表
     * 黄浦全科导诊——诊断经验云词
     * @param hpgpDiagnosticExperience
     * @return R
     */
    @ApiOperation("新增/修改")
    @PostMapping
    public R<?> save(@RequestBody HpgpDiagnosticExperience hpgpDiagnosticExperience) {
        hpgpDiagnosticExperienceService.saveOrUpdate(hpgpDiagnosticExperience);
        return new R<>(hpgpDiagnosticExperience);
    }
}
