package cn.sh.stc.sict.theme.hpgp.dao;

import cn.sh.stc.sict.theme.hpgp.model.HpgpDepartmentRank;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 黄浦全科导诊——科室排名(HpgpDepartmentRank)表数据库访问层
 *
 * @author zhangly
 * @since 2022-01-14 09:56:47
 */
public interface HpgpDepartmentRankMapper extends BaseMapper<HpgpDepartmentRank> {
    /**
     * 根据标准科室名称查询医院科室排名
     * @param deptName 标准科室名称
     * @param size 查询记录数 默认3条
     * @return
     */
    List<HpgpDepartmentRank> getRankByStandardDept(@Param("deptName") String deptName, @Param("size") int size);
}
