package cn.sh.stc.sict.theme.hpgp.vo;

import cn.hutool.core.util.StrUtil;
import lombok.Data;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author zhangly
 * @Description
 * @Date 2022/1/14 10:50
 **/
@Data
public class IntelligentAnswerVO {

    public void setAnswer(String answer) {
        this.answer = answer;
        if (StrUtil.isNotBlank(answer)){
            parseDept();
        }
    }

    public IntelligentAnswerVO(String answer) {
        this.answer = answer;
        if (StrUtil.isNotBlank(answer)){
            parseDept();
        }
    }

    public IntelligentAnswerVO(String answer, String deptName) {
        this.answer = answer;
        this.deptName = deptName;
    }

    public IntelligentAnswerVO() {
    }

    private String answer;
    private String deptName;

    private void parseDept() {
        String reg = "分析和推荐的就诊科室为：(.*)\\n?（";
        Pattern p = Pattern.compile(reg);
        Matcher m = p.matcher(answer);
        if(m.find()){
            deptName = m.group(1);
        }
    }
}
