package cn.sh.stc.sict.theme.hphy.constant;

import cn.sh.stc.sict.cloud.common.core.constant.Constant;

/**
 * @author F_xh
 * @description 黄埔高血压疾病判断相关
 */
public class PatientConstant {

    public static final String MSG_TYPE = "voice_callback";
    public static final String STR_TYPE = "100";
    public static final String EXCEPTION_TYPE = "101";
    public static final String JSON_TYPE = "200";
    public static final String HPHY = "hphy_";

    public static final String MALE = "男";
    public static final String FEMALE = "女";

    // 高血压等级
    public static final Integer DISEASE_0 = 0;
    public static final Integer DISEASE_1 = 1;
    public static final Integer DISEASE_2 = 2;
    public static final Integer DISEASE_3 = 3;

    // 心血管分层
    public static final String RISK_LEVEL_0 = "低危";
    public static final String RISK_LEVEL_1 = "中危";
    public static final String RISK_LEVEL_2 = "高危";
    public static final String RISK_LEVEL_3 = "极高危";

    // 问题计算相关
    public static final String QUESTION_DRUG = "drug";
    public static final String QUESTION_DISEASECAL = "disease_cal";
    public static final String QUESTION_DISEASELEVEL = "disease_level";
    public static final String QUESTION_RISKLEVEL = "risk_level";
    public static final String QUESTION_RISKFACTOR = "risk_factor";
    public static final String QUESTION_TARGETORGAN = "target_organ";
    public static final String QUESTION_SYMPTOM = "symptom";
    public static final String QUESTION_DIAB = "diab";
    public static final String QUESTION_DEFINITE = "definite";
    public static final String QUESTION_PREG = "preg";
    public static final Long QUESTION_PREG_ID = 5L;  // 妊娠期题目id
    public static final String QUESTION_SBP = "sbp"; // 高压
    public static final String QUESTION_DBP = "dbp"; // 低压

    /**
     * 健海问题常量
     */
    public static final String YES = "1"; // 是
    public static final String NO = "0"; // 否

    // 高血压
    public static final String PRESS = "press"; // 否
    public static final String SBP = "sbp"; // 高压
    public static final String DBP = "dbp"; // 低压
    public static final String SBP_RANGE = "sbp_range"; // 高压
    public static final String DBP_RANGE = "dbp_range"; // 低压

    public static final String PRESS_RANGE_1 = "1"; // ≤139mmHg
    public static final String PRESS_RANGE_2 = "2"; // 140-159mmHg
    public static final String PRESS_RANGE_3 = "3"; // 160-179mmHg
    public static final String PRESS_RANGE_4 = "4"; // ≥180mmHg
    public static final String PRESS_RANGE_5 = "5"; // ≤89mmHg
    public static final String PRESS_RANGE_6 = "6"; // 90-99mmHg
    public static final String PRESS_RANGE_7 = "7"; // 100-109mmHg
    public static final String PRESS_RANGE_8 = "8"; // ≥110mmHg

    public static final String HEIGHT = "height";
    public static final String WEIGHT = "weight";
    public static final String SMOKING = "smoking";
    public static final String SPORT = "sport";
    public static final String BLOOD_FAT = "blood_fat";
    public static final String ANGIOCARPY = "angiocarpy";
    public static final String AGE = "age";

    public static final String HEART = "heart";
    public static final String BRAIN = "brain";
    public static final String EYE = "eye";
    public static final String VESSEL = "vessel";
    public static final String KIDNEY = "kidney";
    public static final String DIABETES = "diabetes";
    public static final String OTHER = "other";
    public static final String GENDER_1 = "男";
    /**
     * 国标性别：男
     */
    public static final String NORMAL_GENDER_1 = "1";
    /**
     * 国标性别：女
     */
    public static final String NORMAL_GENDER_2 = "2";

    public static Byte getGender(String gender) {
        if (GENDER_1.equals(gender)) {
            return Constant.BYTE_YES;
        }
        return Constant.BYTE_NO;
    }


    /**
     * 获取国标性别
     *
     * @param gender
     * @return
     */
    public static String getNomalGender(String gender) {
        if (GENDER_1.equals(gender)) {
            return NORMAL_GENDER_1;
        }
        return NORMAL_GENDER_2;
    }
}
