package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyBlOpEmrCase;
import cn.sh.stc.sict.theme.hphy.service.HphyBlOpEmrCaseService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 电子病历-门（急）病历-门（急）诊病历表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:30
 */
@RestController
@RequestMapping("/hphyblopemrcase")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]电子病历-门（急）病历-门（急）诊病历表")
public class HphyBlOpEmrCaseController {

    private HphyBlOpEmrCaseService hphyBlOpEmrCaseService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 电子病历-门（急）病历-门（急）诊病历表")
    @GetMapping("/page")
    public R getHphyBlOpEmrCasePage(MyPage page) {
        LambdaQueryWrapper<HphyBlOpEmrCase> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyBlOpEmrCaseService.page(page,wrapper));
    }
}
