package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyBlPreoDischRecords;
import cn.sh.stc.sict.theme.hphy.service.HphyBlPreoDischRecordsService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 电子病历-住院病程记录-出院记录表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:29
 */
@RestController
@RequestMapping("/hphyblpreodischrecords")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]电子病历-住院病程记录-出院记录表")
public class HphyBlPreoDischRecordsController {

    private HphyBlPreoDischRecordsService hphyBlPreoDischRecordsService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 电子病历-住院病程记录-出院记录表")
    @GetMapping("/page")
    public R getHphyBlPreoDischRecordsPage(MyPage page) {
        LambdaQueryWrapper<HphyBlPreoDischRecords> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyBlPreoDischRecordsService.page(page,wrapper));
    }
}
