package cn.sh.stc.sict.theme.hphy.controller.web;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.sh.stc.sict.cloud.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;

import cn.sh.stc.sict.theme.hphy.model.HphyDoctor;
import cn.sh.stc.sict.theme.hphy.service.HphyDoctorService;


/**
 * 高血压-医生画像-医生信息
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:29
 */
@RestController
@RequestMapping("/hphydoctor")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]高血压-医生画像-医生信息")
public class HphyDoctorController {

    private HphyDoctorService hphyDoctorService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param hphyDoctor 高血压-医生画像-医生信息
     * @return
     */
    @ApiOperation("分页查询 高血压-医生画像-医生信息")
    @GetMapping("/page")
    public R getHphyDoctorPage(Page page, HphyDoctor hphyDoctor) {
        return  new R<>(hphyDoctorService.page(page,Wrappers.query(hphyDoctor)));
    }
}
