package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientFollowInfo;
import cn.sh.stc.sict.theme.hphy.service.HphyPatientFollowInfoService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 高血压患者随访表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:29
 */
@RestController
@RequestMapping("/hphypatientfollowinfo")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]患者随访表")
public class HphyPatientFollowInfoController {

    private HphyPatientFollowInfoService hphyPatientFollowInfoService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 高血压患者随访表")
    @GetMapping("/page")
    public R getHphyPatientFollowInfoPage(MyPage page) {
        LambdaQueryWrapper<HphyPatientFollowInfo> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyPatientFollowInfoService.page(page,wrapper));
    }
}
