package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyPeopleRecord;
import cn.sh.stc.sict.theme.hphy.service.HphyPeopleRecordService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 高血压人群管理表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:29
 */
@RestController
@RequestMapping("/hphypeoplerecord")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]高血压人群管理表")
public class HphyPeopleRecordController {

    private HphyPeopleRecordService hphyPeopleRecordService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param hphyPeopleRecord 高血压人群管理表
     * @return
     */
    @ApiOperation("分页查询 高血压人群管理表")
    @GetMapping("/page")
    public R getHphyPeopleRecordPage(MyPage page) {
        LambdaQueryWrapper<HphyPeopleRecord> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyPeopleRecordService.page(page,wrapper));
    }
}
