package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyWszyNoSourceResourceInfo;
import cn.sh.stc.sict.theme.hphy.service.HphyWszyNoSourceResourceInfoService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 号源资源信息表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:29
 */
@RestController
@RequestMapping("/hphywszynosourceresourceinfo")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]号源资源信息表")
public class HphyWszyNoSourceResourceInfoController {

    private HphyWszyNoSourceResourceInfoService hphyWszyNoSourceResourceInfoService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 号源资源信息表")
    @GetMapping("/page")
    public R getHphyWszyNoSourceResourceInfoPage(MyPage page) {
        LambdaQueryWrapper<HphyWszyNoSourceResourceInfo> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyWszyNoSourceResourceInfoService.page(page,wrapper));
    }
}
