package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyWszyOutpatientDelivery;
import cn.sh.stc.sict.theme.hphy.service.HphyWszyOutpatientDeliveryService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 门诊发药汇总表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:28
 */
@RestController
@RequestMapping("/hphywszyoutpatientdelivery")
@AllArgsConstructor
@Slf4j
@Api(tags = "[D]门诊发药汇总表")
public class HphyWszyOutpatientDeliveryController {

    private HphyWszyOutpatientDeliveryService hphyWszyOutpatientDeliveryService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 门诊发药汇总表")
    @GetMapping("/page")
    public R getHphyWszyOutpatientDeliveryPage(MyPage page) {
        LambdaQueryWrapper<HphyWszyOutpatientDelivery> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyWszyOutpatientDeliveryService.page(page,wrapper));
    }
}
