package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.data.util.HySearchWrapperUtil;
import cn.sh.stc.sict.theme.common.dto.MyPage;
import cn.sh.stc.sict.theme.hphy.model.HphyWszyTransferInfo;
import cn.sh.stc.sict.theme.hphy.service.HphyWszyTransferInfoService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 转诊信息表
 *
 * @author F_xh。
 * @date 2020-09-29 15:05:30
 */
@RestController
@RequestMapping("/hphywszytransferinfo")
@AllArgsConstructor
@Slf4j
@Api(value = "转诊信息表 controller", tags = "[D]转诊信息表")
public class HphyWszyTransferInfoController {

    private HphyWszyTransferInfoService hphyWszyTransferInfoService;

    /**
     * 分页查询
     * @param page 分页对象
     * @return
     */
    @ApiOperation("分页查询 转诊信息表")
    @GetMapping("/page")
    public R getHphyWszyTransferInfoPage(MyPage page) {
        LambdaQueryWrapper<HphyWszyTransferInfo> wrapper = new LambdaQueryWrapper<>();
        HySearchWrapperUtil.setWrapper(wrapper, page.getParam());
        return  new R<>(hphyWszyTransferInfoService.page(page,wrapper));
    }
}
