package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * [黄浦]预约记录(HpAppointment)表实体类
 *
 * @author makejava
 * @since 2021-01-28 10:38:37
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpAppointment extends Model<HpAppointment> {
    //id
    @TableId
    @ApiModelProperty(value = "id")
    private Long id;
    //医院代码    
    @ApiModelProperty(value = "医院代码")
    private String hosOrgCode;
    private String hosOrgName;
    //一级科室代码    
    @ApiModelProperty(value = "一级科室代码")
    private String oneDeptCode;
    //二级科室代码    
    @ApiModelProperty(value = "二级科室代码")
    private String deptCode;
    private String deptName;
    //预约类型：1-医生 2-门诊    
    @ApiModelProperty(value = "预约类型：1-医生 2-门诊")
    private String orderType;
    //医生|门诊代码    
    @ApiModelProperty(value = "医生|门诊代码")
    private String resourceCode;
    @ApiModelProperty(value = "医生|门诊代码 姓名")
    private String resourceName;
    @ApiModelProperty(value = "医生证件号")
    private String resourceCertId;
    //预约渠道方式：1-官网 2-微信 3-app 4-支付宝 5-电话 6-转诊预约 7-(1+1+1)转诊预约 8-现场预约 0-其他    
    @ApiModelProperty(value = "预约渠道方式：1-官网 2-微信 3-app 4-支付宝 5-电话 6-转诊预约 7-(1+1+1)转诊预约 8-现场预约 0-其他")
    private String channelCode;
    //排班id    
    @ApiModelProperty(value = "排班id")
    private String scheduleId;
    //号源id    
    @ApiModelProperty(value = "号源id")
    private String numSourceId;
    //支付方式    
    @ApiModelProperty(value = "支付方式")
    private String payMode;
    //预约患者类型    
    @ApiModelProperty(value = "预约患者类型")
    private String patientType;
    //1+1+1 签约编号    
    @ApiModelProperty(value = "1+1+1 签约编号")
    private String patientId;
    private String patientName;
    //就诊人卡号    
    @ApiModelProperty(value = "就诊人卡号")
    private String mediCardId;
    //就诊人卡类型    
    @ApiModelProperty(value = "就诊人卡类型")
    private String mediCardType;
    //就诊人证件类型    
    @ApiModelProperty(value = "就诊人证件类型")
    private String userCardType;
    //就诊人证件号码    
    @ApiModelProperty(value = "就诊人证件号码")
    private String userCardId;
    //就诊人姓名    
    @ApiModelProperty(value = "就诊人姓名")
    private String userName;
    //手机号码    
    @ApiModelProperty(value = "手机号码")
    private String userPhone;
    //就诊人性别    
    @ApiModelProperty(value = "就诊人性别")
    private String userSex;
    //就诊人出生日期    
    @ApiModelProperty(value = "就诊人出生日期")
    private String userBd;
    //就诊人联系地址    
    @ApiModelProperty(value = "就诊人联系地址")
    private String userContAdd;
    //预约人证件类型    
    @ApiModelProperty(value = "预约人证件类型")
    private String replaceUserCardType;
    //预约人证件号码    
    @ApiModelProperty(value = "预约人证件号码")
    private String replaceUserCardId;
    //预约人姓名    
    @ApiModelProperty(value = "预约人姓名")
    private String replaceUserName;
    //ip地址    
    @ApiModelProperty(value = "ip地址")
    private String ipAddr;
    //mac地址    
    @ApiModelProperty(value = "mac地址")
    private String macAddr;
    //预约转诊转出机构代码(1+1+1预约转诊专用)    
    @ApiModelProperty(value = "预约转诊转出机构代码(1+1+1预约转诊专用)")
    private String outHospitalCode;
    //预约转诊转出机构本地转诊id    
    @ApiModelProperty(value = "预约转诊转出机构本地转诊id")
    private String outOrderId;
    //号源日期    
    @ApiModelProperty(value = "号源日期")
    private String numSourceDate;
    //就诊_开始时段    
    @ApiModelProperty(value = "就诊_开始时段")
    private String startTime;
    //就诊_结束时段    
    @ApiModelProperty(value = "就诊_结束时段")
    private String endTime;
    //预约平台类型    
    @ApiModelProperty(value = "预约平台类型")
    private String platformType;
    //预约平台菜吗    
    @ApiModelProperty(value = "预约平台菜吗")
    private String platformCode;
    //预约渠道描述    
    @ApiModelProperty(value = "预约渠道描述")
    private String channelName;
    //号源来源    
    @ApiModelProperty(value = "号源来源")
    private String numSourceFrom;

    @ApiModelProperty(value = "状态：0-默认 1-取消预约")
    private String status;

    private String orderNumType;

    private String doctorId;
    private String orderId;
    private String visitNo;
    private String numSourceDetailId;
    private String numPassword;
    private String room;
    private String hosNumSourceId;

    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}