package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 高血压评估表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_assessment_info")
public class HphyAssessmentInfo extends Model<HphyAssessmentInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 信息唯一编码
     */
    @ApiModelProperty(hidden = false, value = "信息唯一编码")
    private String code;
    /**
     * 人员编码
     */
    @ApiModelProperty(hidden = false, value = "人员编码")
    private String userCode;
    /**
     * 外键
     */
    @ApiModelProperty(hidden = false, value = "外键")
    private String foreignKey;
    /**
     * 个人健康档案编码
     */
    @ApiModelProperty(hidden = false, value = "个人健康档案编码")
    private String personalHealthRecordNo;
    /**
     * 高血压专案编号（唯一标识）
     */
    @ApiModelProperty(hidden = false, value = "高血压专案编号（唯一标识）")
    private String hypertensionProjectNo;
    /**
     * 服务日期
     */
    @ApiModelProperty(hidden = false, value = "服务日期")
    private String serviceDate;
    /**
     * 服务机构
     */
    @ApiModelProperty(hidden = false, value = "服务机构")
    private String serviceOrgName;
    /**
     * 服务医生编号
     */
    @ApiModelProperty(hidden = false, value = "服务医生编号")
    private String serviceDoctorNo;
    /**
     * 服务医生名称
     */
    @ApiModelProperty(hidden = false, value = "服务医生名称")
    private String serviceDoctorName;
    /**
     * 收缩压
     */
    @ApiModelProperty(hidden = false, value = "收缩压")
    private String sbp;
    /**
     * 舒张压
     */
    @ApiModelProperty(hidden = false, value = "舒张压")
    private String dbp;
    /**
     * 血糖值
     */
    @ApiModelProperty(hidden = false, value = "血糖值")
    private String bloodSugarLevel;
    /**
     * 血压分级代码
     */
    @ApiModelProperty(hidden = false, value = "血压分级代码")
    private String bloodPressureClassificationCode;
    /**
     * 血压分级名称
     */
    @ApiModelProperty(hidden = false, value = "血压分级名称")
    private String bloodPressureGradeName;
    /**
     * 高值标志
     */
    @ApiModelProperty(hidden = false, value = "高值标志")
    private String highValueSign;
    /**
     * 高危标志
     */
    @ApiModelProperty(hidden = false, value = "高危标志")
    private String highRiskSign;
    /**
     * 并发症代码
     */
    @ApiModelProperty(hidden = false, value = "并发症代码")
    private String complicationCode;
    /**
     * 并发症名称
     */
    @ApiModelProperty(hidden = false, value = "并发症名称")
    private String complicationName;
    /**
     * 危险因素描述
     */
    @ApiModelProperty(hidden = false, value = "危险因素描述")
    private String riskFactorDescription;
    /**
     * 靶器官损害描述
     */
    @ApiModelProperty(hidden = false, value = "靶器官损害描述")
    private String targetOrganDamageDescription;
    /**
     * 评估意见
     */
    @ApiModelProperty(hidden = false, value = "评估意见")
    private String evaOpinion;
    /**
     * 下次评估时间
     */
    @ApiModelProperty(hidden = false, value = "下次评估时间")
    private String nextEvaTime;
    /**
     * 评估人
     */
    @ApiModelProperty(hidden = false, value = "评估人")
    private String evaUser;
    /**
     * 评估日期
     */
    @ApiModelProperty(hidden = false, value = "评估日期")
    private String evaDate;
    /**
     * 登记日期
     */
    @ApiModelProperty(hidden = false, value = "登记日期")
    private String createDate;
    /**
     * 登记人员编码
     */
    @ApiModelProperty(hidden = false, value = "登记人员编码")
    private String registrationUserCode;
    /**
     * 登记人员名称
     */
    @ApiModelProperty(hidden = false, value = "登记人员名称")
    private String registrationUserName;
    /**
     * 登记机构编码
     */
    @ApiModelProperty(hidden = false, value = "登记机构编码")
    private String recordOrgCode;
    /**
     * 登记机构名称
     */
    @ApiModelProperty(hidden = false, value = "登记机构名称")
    private String recordOrgName;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
