package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-门急诊治疗处置记录-手术记录表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_bgt_oper")
public class HphyBlBgtOper extends Model<HphyBlBgtOper> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 手术记录流水号
     */
    @ApiModelProperty(hidden = false, value = "手术记录流水号")
    private Long operId;
    /**
     * 门（急）诊号/住院号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号/住院号")
    private String outpatNo;
    /**
     * 门（急）诊号/住院号流水号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号/住院号流水号")
    private Long caseId;
    /**
     * 流水号类型
     */
    @ApiModelProperty(hidden = false, value = "流水号类型")
    private String operIdType;
    /**
     * 电子申请单编号
     */
    @ApiModelProperty(hidden = false, value = "电子申请单编号")
    private String appFormNo;
    /**
     * 病区名称
     */
    @ApiModelProperty(hidden = false, value = "病区名称")
    private String wardName;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 病房号
     */
    @ApiModelProperty(hidden = false, value = "病房号")
    private String roomNo;
    /**
     * 病床号
     */
    @ApiModelProperty(hidden = false, value = "病床号")
    private String bedNo;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码
     */
    @ApiModelProperty(hidden = false, value = "性别代码")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 手术间编号
     */
    @ApiModelProperty(hidden = false, value = "手术间编号")
    private String operationRoomNo;
    /**
     * 术前诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "术前诊断编码ICD-10")
    private String preDiagnosisCode;
    /**
     * 术前诊断
     */
    @ApiModelProperty(hidden = false, value = "术前诊断")
    private String preDiagnosis;
    /**
     * 术后诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "术后诊断编码ICD-10")
    private String finalDiagnosisCode;
    /**
     * 术后诊断
     */
    @ApiModelProperty(hidden = false, value = "术后诊断")
    private String finalDiagnosisName;
    /**
     * 手术开始日期时间
     */
    @ApiModelProperty(hidden = false, value = "手术开始日期时间")
    private Date operationStartDtime;
    /**
     * 手术结束日期时间
     */
    @ApiModelProperty(hidden = false, value = "手术结束日期时间")
    private Date operationEndDtime;
    /**
     * 手术及操作编码ICD-9-CM-3
     */
    @ApiModelProperty(hidden = false, value = "手术及操作编码ICD-9-CM-3")
    private String operationCode;
    /**
     * 手术名称
     */
    @ApiModelProperty(hidden = false, value = "手术名称")
    private String operationName;
    /**
     * 手术级别代码CV05.10.024
     */
    @ApiModelProperty(hidden = false, value = "手术级别代码CV05.10.024")
    private String operationLevelCode;
    /**
     * 手术级别名称
     */
    @ApiModelProperty(hidden = false, value = "手术级别名称")
    private String operationLevelName;
    /**
     * 手术目标部位名称
     */
    @ApiModelProperty(hidden = false, value = "手术目标部位名称")
    private String operationTargetPart;
    /**
     * 介入物名称
     */
    @ApiModelProperty(hidden = false, value = "介入物名称")
    private String involvedThing;
    /**
     * 手术体位代码CV06.00.223
     */
    @ApiModelProperty(hidden = false, value = "手术体位代码CV06.00.223")
    private String operationPartCode;
    /**
     * 手术体位
     */
    @ApiModelProperty(hidden = false, value = "手术体位")
    private String operationPart;
    /**
     * 手术过程描述
     */
    @ApiModelProperty(hidden = false, value = "手术过程描述")
    private String operationProcessDesc;
    /**
     * 手术史标志
     */
    @ApiModelProperty(hidden = false, value = "手术史标志")
    private String hasOperationHistory;
    /**
     * 皮肤消毒描述
     */
    @ApiModelProperty(hidden = false, value = "皮肤消毒描述")
    private String skinDegermingDesc;
    /**
     * 手术切口描述
     */
    @ApiModelProperty(hidden = false, value = "手术切口描述")
    private String operationIncisionDesc;
    /**
     * 引流标志
     */
    @ApiModelProperty(hidden = false, value = "引流标志")
    private String hasDrainage;
    /**
     * 出血量（mL）
     */
    @ApiModelProperty(hidden = false, value = "出血量（mL）")
    private String lossBloodVolumn;
    /**
     * 输液量（mL）
     */
    @ApiModelProperty(hidden = false, value = "输液量（mL）")
    private String infusionVolumn;
    /**
     * 输血量（mL）
     */
    @ApiModelProperty(hidden = false, value = "输血量（mL）")
    private String transVolumn;
    /**
     * 术前用药
     */
    @ApiModelProperty(hidden = false, value = "术前用药")
    private String drugPreOper;
    /**
     * 术中用药
     */
    @ApiModelProperty(hidden = false, value = "术中用药")
    private String drugAfterOper;
    /**
     * 引流材料名称
     */
    @ApiModelProperty(hidden = false, value = "引流材料名称")
    private String drainageMaterials;
    /**
     * 引流材料数目
     */
    @ApiModelProperty(hidden = false, value = "引流材料数目")
    private String drainageMaterialNo;
    /**
     * 放置部位
     */
    @ApiModelProperty(hidden = false, value = "放置部位")
    private String placeParts;
    /**
     * 输血反应标志
     */
    @ApiModelProperty(hidden = false, value = "输血反应标志")
    private String hasBloodReaction;
    /**
     * Ⅰ助编号
     */
    @ApiModelProperty(hidden = false, value = "Ⅰ助编号")
    private String firstAssistantCode;
    /**
     * Ⅰ助姓名
     */
    @ApiModelProperty(hidden = false, value = "Ⅰ助姓名")
    private String firstAssistantName;
    /**
     * Ⅱ助姓名
     */
    @ApiModelProperty(hidden = false, value = "Ⅱ助姓名")
    private String secondAssistantName;
    /**
     * Ⅱ助编号
     */
    @ApiModelProperty(hidden = false, value = "Ⅱ助编号")
    private String secondAssistantCode;
    /**
     * 器械护士编号
     */
    @ApiModelProperty(hidden = false, value = "器械护士编号")
    private String deviceNurseCode;
    /**
     * 器械护士姓名
     */
    @ApiModelProperty(hidden = false, value = "器械护士姓名")
    private String deviceNurseName;
    /**
     * 巡台护士编号
     */
    @ApiModelProperty(hidden = false, value = "巡台护士编号")
    private String tourNurseCode;
    /**
     * 巡台护士姓名
     */
    @ApiModelProperty(hidden = false, value = "巡台护士姓名")
    private String tourNurseName;
    /**
     * 麻醉方法代码
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法代码")
    private String anesthesiaCode;
    /**
     * 麻醉方法
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法")
    private String anesthesia;
    /**
     * 麻醉医师编号
     */
    @ApiModelProperty(hidden = false, value = "麻醉医师编号")
    private String anesthetistCode;
    /**
     * 麻醉医师姓名
     */
    @ApiModelProperty(hidden = false, value = "麻醉医师姓名")
    private String anesthetistName;
    /**
     * 手术者编号
     */
    @ApiModelProperty(hidden = false, value = "手术者编号")
    private String operatorCode;
    /**
     * 手术者签名
     */
    @ApiModelProperty(hidden = false, value = "手术者签名")
    private String operatorName;
    /**
     * 签名日期时间
     */
    @ApiModelProperty(hidden = false, value = "签名日期时间")
    private Date signDtime;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
