package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-病历概要-患者基本健康信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_emr_med_case_health")
public class HphyBlEmrMedCaseHealth extends Model<HphyBlEmrMedCaseHealth> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 居民健康卡号
     */
    @ApiModelProperty(hidden = false, value = "居民健康卡号")
    private Long healthCardId;
    /**
     * ABO血型代码
     */
    @ApiModelProperty(hidden = false, value = "ABO血型代码")
    private String aboBloodCode;
    /**
     * Rh血型代码
     */
    @ApiModelProperty(hidden = false, value = "Rh血型代码")
    private String rhBloodCode;
    /**
     * 疾病史（含外伤）
     */
    @ApiModelProperty(hidden = false, value = "疾病史（含外伤）")
    private String diseaseHistory;
    /**
     * 传染病史
     */
    @ApiModelProperty(hidden = false, value = "传染病史")
    private String infectionHistory;
    /**
     * 预防接种史
     */
    @ApiModelProperty(hidden = false, value = "预防接种史")
    private String prophylacticHistory;
    /**
     * 手术史
     */
    @ApiModelProperty(hidden = false, value = "手术史")
    private String operationHistory;
    /**
     * 输血史
     */
    @ApiModelProperty(hidden = false, value = "输血史")
    private String bloodTransHistory;
    /**
     * 过敏史
     */
    @ApiModelProperty(hidden = false, value = "过敏史")
    private String allergicHistory;
    /**
     * 个人史
     */
    @ApiModelProperty(hidden = false, value = "个人史")
    private String personalHistory;
    /**
     * 婚育史
     */
    @ApiModelProperty(hidden = false, value = "婚育史")
    private String obstericalHistory;
    /**
     * 月经史
     */
    @ApiModelProperty(hidden = false, value = "月经史")
    private String menstrualHistory;
    /**
     * 家族史
     */
    @ApiModelProperty(hidden = false, value = "家族史")
    private String familyHistory;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
