package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-卫生事件摘要表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_event_summary")
public class HphyBlEventSummary extends Model<HphyBlEventSummary> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 居民健康卡号
     */
    @ApiModelProperty(hidden = false, value = "居民健康卡号")
    private Long healthCardId;
    /**
     * 医疗机构组织机构代码
     */
    @ApiModelProperty(hidden = false, value = "医疗机构组织机构代码")
    private String medicalOrgCode;
    /**
     * 医疗机构科室名称
     */
    @ApiModelProperty(hidden = false, value = "医疗机构科室名称")
    private String medicalOrgName;
    /**
     * 患者类型代码
     */
    @ApiModelProperty(hidden = false, value = "患者类型代码")
    private String patientTypeCode;
    /**
     * 门（急）诊号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号")
    private String outpatNo;
    /**
     * 住院号
     */
    @ApiModelProperty(hidden = false, value = "住院号")
    private String hospitalNo;
    /**
     * 就诊日期时间
     */
    @ApiModelProperty(hidden = false, value = "就诊日期时间")
    private Date visitDtime;
    /**
     * 入院日期时间
     */
    @ApiModelProperty(hidden = false, value = "入院日期时间")
    private Date inDtime;
    /**
     * 出院日期时间
     */
    @ApiModelProperty(hidden = false, value = "出院日期时间")
    private Date outDtime;
    /**
     * 发病日期时间
     */
    @ApiModelProperty(hidden = false, value = "发病日期时间")
    private Date accidentDtime;
    /**
     * 就诊原因
     */
    @ApiModelProperty(hidden = false, value = "就诊原因")
    private String clinicReason;
    /**
     * 西医诊断编码
     */
    @ApiModelProperty(hidden = false, value = "西医诊断编码")
    private String wmDiagnosisCode;
    /**
     * 其他西医诊断编码
     */
    @ApiModelProperty(hidden = false, value = "其他西医诊断编码")
    private String otherWmDiagCode;
    /**
     * 中医病名代码
     */
    @ApiModelProperty(hidden = false, value = "中医病名代码")
    private String tcmDiseaseCode;
    /**
     * 中医证候代码
     */
    @ApiModelProperty(hidden = false, value = "中医证候代码")
    private String tcmSyndromeCode;
    /**
     * 手术及操作编码
     */
    @ApiModelProperty(hidden = false, value = "手术及操作编码")
    private String operationCode;
    /**
     * 关键药物名称
     */
    @ApiModelProperty(hidden = false, value = "关键药物名称")
    private String keyDrugCode;
    /**
     * 关键药物用法
     */
    @ApiModelProperty(hidden = false, value = "关键药物用法")
    private String keyDrugUsage;
    /**
     * 药物不良反应情况
     */
    @ApiModelProperty(hidden = false, value = "药物不良反应情况")
    private String adverseDrugReactions;
    /**
     * 中药使用类型代码
     */
    @ApiModelProperty(hidden = false, value = "中药使用类型代码")
    private String tcmUsageCode;
    /**
     * 其他医学处置
     */
    @ApiModelProperty(hidden = false, value = "其他医学处置")
    private String otherMedicalTreatment;
    /**
     * 根本死因代码
     */
    @ApiModelProperty(hidden = false, value = "根本死因代码")
    private String deathCauseCode;
    /**
     * 病情转归代码
     */
    @ApiModelProperty(hidden = false, value = "病情转归代码")
    private String lapseCode;
    /**
     * 责任医师姓名
     */
    @ApiModelProperty(hidden = false, value = "责任医师姓名")
    private String responsibleDoctor;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
