package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-住院志-入院记录表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_inpa_inrecord")
public class HphyBlInpaInrecord extends Model<HphyBlInpaInrecord> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 住院流水号
     */
    @ApiModelProperty(hidden = false, value = "住院流水号")
    private Long inHospitalId;
    /**
     * 门（急）诊流水号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊流水号")
    private Long caseId;
    /**
     * 住院号
     */
    @ApiModelProperty(hidden = false, value = "住院号")
    private String hospitalNo;
    /**
     * 住院次数
     */
    @ApiModelProperty(hidden = false, value = "住院次数")
    private String inHospitalTimes;
    /**
     * 病区名称
     */
    @ApiModelProperty(hidden = false, value = "病区名称")
    private String wardName;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 病房号
     */
    @ApiModelProperty(hidden = false, value = "病房号")
    private String roomNo;
    /**
     * 病床号
     */
    @ApiModelProperty(hidden = false, value = "病床号")
    private String bedNo;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 民族GB3304-1991
     */
    @ApiModelProperty(hidden = false, value = "民族GB3304-1991")
    private String ethnicGroupCode;
    /**
     * 民族
     */
    @ApiModelProperty(hidden = false, value = "民族")
    private String ethnicGroup;
    /**
     * 婚姻状况代码GB/T2261.2-2003
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况代码GB/T2261.2-2003")
    private String maritalCode;
    /**
     * 婚姻状况
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况")
    private String marital;
    /**
     * 现住地址-省
     */
    @ApiModelProperty(hidden = false, value = "现住地址-省")
    private String province;
    /**
     * 现住地址-市(地区、州)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-市(地区、州)")
    private String city;
    /**
     * 现住地址-县(区)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-县(区)")
    private String county;
    /**
     * 现住地址-乡(镇、街道办事处)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-乡(镇、街道办事处)")
    private String township;
    /**
     * 现住地址-村(街、路、弄等)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-村(街、路、弄等)")
    private String village;
    /**
     * 现住地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "现住地址-门牌号码")
    private String houseNo;
    /**
     * 现住地址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "现住地址-详细地址")
    private String detailedAddr;
    /**
     * 职业类别代码GB/T2261.4-2003
     */
    @ApiModelProperty(hidden = false, value = "职业类别代码GB/T2261.4-2003")
    private String occupationCode;
    /**
     * 职业类别
     */
    @ApiModelProperty(hidden = false, value = "职业类别")
    private String occupation;
    /**
     * 入院日期时间
     */
    @ApiModelProperty(hidden = false, value = "入院日期时间")
    private Date inDtime;
    /**
     * 病史陈述者姓名
     */
    @ApiModelProperty(hidden = false, value = "病史陈述者姓名")
    private String representorName;
    /**
     * 陈述者与患者的关系代码GB/T4761-2008
     */
    @ApiModelProperty(hidden = false, value = "陈述者与患者的关系代码GB/T4761-2008")
    private String representorRelationCode;
    /**
     * 陈述者与患者的关系
     */
    @ApiModelProperty(hidden = false, value = "陈述者与患者的关系")
    private String representorRelation;
    /**
     * 陈述内容可靠标志
     */
    @ApiModelProperty(hidden = false, value = "陈述内容可靠标志")
    private String contentReliability;
    /**
     * 主诉
     */
    @ApiModelProperty(hidden = false, value = "主诉")
    private String chiefComplaint;
    /**
     * 现病史
     */
    @ApiModelProperty(hidden = false, value = "现病史")
    private String currentDisease;
    /**
     * 一般健康状况标志
     */
    @ApiModelProperty(hidden = false, value = "一般健康状况标志")
    private String generalHealthStatus;
    /**
     * 疾病史（含外伤）
     */
    @ApiModelProperty(hidden = false, value = "疾病史（含外伤）")
    private String diseaseHistory;
    /**
     * 患者传染性标志
     */
    @ApiModelProperty(hidden = false, value = "患者传染性标志")
    private String hasInfectiousDisease;
    /**
     * 传染病史
     */
    @ApiModelProperty(hidden = false, value = "传染病史")
    private String infectionHistory;
    /**
     * 预防接种史
     */
    @ApiModelProperty(hidden = false, value = "预防接种史")
    private String prophylacticHistory;
    /**
     * 手术史
     */
    @ApiModelProperty(hidden = false, value = "手术史")
    private String operationHistory;
    /**
     * 输血史
     */
    @ApiModelProperty(hidden = false, value = "输血史")
    private String bloodTransHistory;
    /**
     * 过敏史
     */
    @ApiModelProperty(hidden = false, value = "过敏史")
    private String allergicHistory;
    /**
     * 个人史
     */
    @ApiModelProperty(hidden = false, value = "个人史")
    private String personalHistory;
    /**
     * 婚育史
     */
    @ApiModelProperty(hidden = false, value = "婚育史")
    private String obstericalHistory;
    /**
     * 月经史
     */
    @ApiModelProperty(hidden = false, value = "月经史")
    private String menstrualHistory;
    /**
     * 家族史
     */
    @ApiModelProperty(hidden = false, value = "家族史")
    private String familyHistory;
    /**
     * 体格检查--体温（℃）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--体温（℃）")
    private String temperature;
    /**
     * 体格检查--脉率（次/min）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--脉率（次/min）")
    private String pulses;
    /**
     * 体格检查--呼吸频率（次/min）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--呼吸频率（次/min）")
    private String respiration;
    /**
     * 体格检查--收缩压（mmHg）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--收缩压（mmHg）")
    private String sbp;
    /**
     * 体格检查--舒张压（mmHg）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--舒张压（mmHg）")
    private String dbp;
    /**
     * 体格检查--身高（cm）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--身高（cm）")
    private String height;
    /**
     * 体格检查--体重（kg）
     */
    @ApiModelProperty(hidden = false, value = "体格检查--体重（kg）")
    private String weight;
    /**
     * 体格检查--一般状况检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--一般状况检查结果")
    private String commonStatus;
    /**
     * 体格检查--皮肤和黏膜检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--皮肤和黏膜检查结果")
    private String skin;
    /**
     * 体格检查--全身浅表淋巴结检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--全身浅表淋巴结检查结果")
    private String lymph;
    /**
     * 体格检查--头部及其器官检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--头部及其器官检查结果")
    private String head;
    /**
     * 体格检查--颈部检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--颈部检查结果")
    private String neck;
    /**
     * 体格检查--胸部检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--胸部检查结果")
    private String chest;
    /**
     * 体格检查--腹部检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--腹部检查结果")
    private String abdomen;
    /**
     * 体格检查--肛门指诊检查结果描述
     */
    @ApiModelProperty(hidden = false, value = "体格检查--肛门指诊检查结果描述")
    private String anus;
    /**
     * 体格检查--外生殖器检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--外生殖器检查结果")
    private String genitalia;
    /**
     * 体格检查--脊柱检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--脊柱检查结果")
    private String spineMedical;
    /**
     * 体格检查--四肢检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--四肢检查结果")
    private String limbsMedical;
    /**
     * 体格检查--神经系统检查结果
     */
    @ApiModelProperty(hidden = false, value = "体格检查--神经系统检查结果")
    private String neural;
    /**
     * 专科情况
     */
    @ApiModelProperty(hidden = false, value = "专科情况")
    private String specStatus;
    /**
     * 辅助检查结果
     */
    @ApiModelProperty(hidden = false, value = "辅助检查结果")
    private String assistExamResult;
    /**
     * 病例分型代码A.一般住院病人B.一般急诊病人C.疑难住院病人D.危重病人
     */
    @ApiModelProperty(hidden = false, value = "病例分型代码A.一般住院病人B.一般急诊病人C.疑难住院病人D.危重病人")
    private String pathologicalTypeCode;
    /**
     * 病例分型名称
     */
    @ApiModelProperty(hidden = false, value = "病例分型名称")
    private String pathologicalTypeName;
    /**
     * 病例分级代码1.普通2.严重3.危重
     */
    @ApiModelProperty(hidden = false, value = "病例分级代码1.普通2.严重3.危重")
    private String pathologicalLevelCode;
    /**
     * 病例分级名称
     */
    @ApiModelProperty(hidden = false, value = "病例分级名称")
    private String pathologicalLevelName;
    /**
     * 中医“四诊”观察结果
     */
    @ApiModelProperty(hidden = false, value = "中医“四诊”观察结果")
    private String tcmObserve;
    /**
     * 治则治法GB/T16751.3-1997
     */
    @ApiModelProperty(hidden = false, value = "治则治法GB/T16751.3-1997")
    private String therapeuticPrinc;
    /**
     * 初步诊断-西医诊断名称
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-西医诊断名称")
    private String firstDiagnosisName;
    /**
     * 初步诊断-西医诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-西医诊断编码ICD-10")
    private String firstDiagnosisCode;
    /**
     * 初步诊断-中医病名名称
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-中医病名名称")
    private String firstTcmDisgName;
    /**
     * 初步诊断-中医病名代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-中医病名代码GB/T15657-1995")
    private String firstTcmDisgCode;
    /**
     * 初步诊断-中医证候名称
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-中医证候名称")
    private String firstTcmSympName;
    /**
     * 初步诊断-中医证候代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "初步诊断-中医证候代码GB/T15657-1995")
    private String firstTcmSympCode;
    /**
     * 初步诊断日期
     */
    @ApiModelProperty(hidden = false, value = "初步诊断日期")
    private Date firstDiagDate;
    /**
     * 修正诊断-西医诊断名称
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-西医诊断名称")
    private String amendWmDiagName;
    /**
     * 修正诊断-西医诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-西医诊断编码ICD-10")
    private String amendWmDiagCode;
    /**
     * 修正诊断-中医病名名称
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-中医病名名称")
    private String amendTcmDiseaseName;
    /**
     * 修正诊断-中医病名代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-中医病名代码GB/T15657-1995")
    private String amendTcmDiseaseCode;
    /**
     * 修正诊断-中医证候名称
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-中医证候名称")
    private String amendTcmSyndName;
    /**
     * 修正诊断-中医证候代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "修正诊断-中医证候代码GB/T15657-1995")
    private String amendTcmSyndCode;
    /**
     * 修正诊断日期
     */
    @ApiModelProperty(hidden = false, value = "修正诊断日期")
    private Date amendDiagDate;
    /**
     * 补充诊断名称
     */
    @ApiModelProperty(hidden = false, value = "补充诊断名称")
    private String addDiagName;
    /**
     * 补充诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "补充诊断编码ICD-10")
    private String addDiagCode;
    /**
     * 补充诊断日期
     */
    @ApiModelProperty(hidden = false, value = "补充诊断日期")
    private Date addDiagDate;
    /**
     * 入院诊断顺位
     */
    @ApiModelProperty(hidden = false, value = "入院诊断顺位")
    private String admDiagAlignment;
    /**
     * 接诊医师编号
     */
    @ApiModelProperty(hidden = false, value = "接诊医师编号")
    private Long acceptDoctorId;
    /**
     * 接诊医师签名
     */
    @ApiModelProperty(hidden = false, value = "接诊医师签名")
    private String acceptDoctorName;
    /**
     * 住院医师编号
     */
    @ApiModelProperty(hidden = false, value = "住院医师编号")
    private Long residentDoctorId;
    /**
     * 住院医师签名
     */
    @ApiModelProperty(hidden = false, value = "住院医师签名")
    private String residentDoctorName;
    /**
     * 主治医师编号
     */
    @ApiModelProperty(hidden = false, value = "主治医师编号")
    private Long chiefDoctorId;
    /**
     * 主治医师签名
     */
    @ApiModelProperty(hidden = false, value = "主治医师签名")
    private String chiefDoctorName;
    /**
     * 主任医师编号
     */
    @ApiModelProperty(hidden = false, value = "主任医师编号")
    private Long archiaterId;
    /**
     * 主任医师签名
     */
    @ApiModelProperty(hidden = false, value = "主任医师签名")
    private String archiaterName;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
