package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-检查检验记录-检查记录表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_insp_records")
public class HphyBlInspRecords extends Model<HphyBlInspRecords> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 检查记录流水号
     */
    @ApiModelProperty(hidden = false, value = "检查记录流水号")
    private Long checkId;
    /**
     * 门（急）诊号/住院号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号/住院号")
    private String outpatNo;
    /**
     * 门（急）诊号/住院号流水号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号/住院号流水号")
    private Long caseId;
    /**
     * 流水号类型1：门诊2：住院
     */
    @ApiModelProperty(hidden = false, value = "流水号类型1：门诊2：住院")
    private String checkIdType;
    /**
     * 患者类型代码CV09.00.404
     */
    @ApiModelProperty(hidden = false, value = "患者类型代码CV09.00.404")
    private String patientTypeCode;
    /**
     * 患者类型名称
     */
    @ApiModelProperty(hidden = false, value = "患者类型名称")
    private String patientTypeName;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 电话号码
     */
    @ApiModelProperty(hidden = false, value = "电话号码")
    private String telephone;
    /**
     * 科室编码
     */
    @ApiModelProperty(hidden = false, value = "科室编码")
    private String deptCode;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 病区名称
     */
    @ApiModelProperty(hidden = false, value = "病区名称")
    private String wardName;
    /**
     * 病房号
     */
    @ApiModelProperty(hidden = false, value = "病房号")
    private String roomNo;
    /**
     * 病床号
     */
    @ApiModelProperty(hidden = false, value = "病床号")
    private String bedNo;
    /**
     * 电子申请单编号
     */
    @ApiModelProperty(hidden = false, value = "电子申请单编号")
    private String appFormNo;
    /**
     * 检查申请机构编码
     */
    @ApiModelProperty(hidden = false, value = "检查申请机构编码")
    private String appOrgCode;
    /**
     * 检查申请机构名称
     */
    @ApiModelProperty(hidden = false, value = "检查申请机构名称")
    private String appOrgName;
    /**
     * 检查申请科室编码
     */
    @ApiModelProperty(hidden = false, value = "检查申请科室编码")
    private String appDeptCode;
    /**
     * 检查申请科室
     */
    @ApiModelProperty(hidden = false, value = "检查申请科室")
    private String appDeptName;
    /**
     * 疾病诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "疾病诊断编码ICD-10")
    private String diseaseCode;
    /**
     * 疾病诊断名称
     */
    @ApiModelProperty(hidden = false, value = "疾病诊断名称")
    private String diseaseName;
    /**
     * 诊断机构编码
     */
    @ApiModelProperty(hidden = false, value = "诊断机构编码")
    private String diagOrgCode;
    /**
     * 诊断机构名称
     */
    @ApiModelProperty(hidden = false, value = "诊断机构名称")
    private String diagOrgName;
    /**
     * 诊断日期
     */
    @ApiModelProperty(hidden = false, value = "诊断日期")
    private Date diagnosisDate;
    /**
     * 主诉
     */
    @ApiModelProperty(hidden = false, value = "主诉")
    private String chiefComplaint;
    /**
     * 症状开始日期时间
     */
    @ApiModelProperty(hidden = false, value = "症状开始日期时间")
    private Date symptomStartDtime;
    /**
     * 症状停止日期时间
     */
    @ApiModelProperty(hidden = false, value = "症状停止日期时间")
    private Date symptomEndDtime;
    /**
     * 症状描述
     */
    @ApiModelProperty(hidden = false, value = "症状描述")
    private String symptomDesc;
    /**
     * 特殊检查标志
     */
    @ApiModelProperty(hidden = false, value = "特殊检查标志")
    private String hasSpecExam;
    /**
     * 标本类别
     */
    @ApiModelProperty(hidden = false, value = "标本类别")
    private String sampleType;
    /**
     * 检查标本号
     */
    @ApiModelProperty(hidden = false, value = "检查标本号")
    private String checkSampleNo;
    /**
     * 标本状态
     */
    @ApiModelProperty(hidden = false, value = "标本状态")
    private String sampleStatus;
    /**
     * 标本固定液名称
     */
    @ApiModelProperty(hidden = false, value = "标本固定液名称")
    private String sampleFixativeName;
    /**
     * 标本采样日期时间
     */
    @ApiModelProperty(hidden = false, value = "标本采样日期时间")
    private Date sampleCollectDtime;
    /**
     * 接收标本日期时间
     */
    @ApiModelProperty(hidden = false, value = "接收标本日期时间")
    private Date sampleAcceptDtime;
    /**
     * 检查方法名称
     */
    @ApiModelProperty(hidden = false, value = "检查方法名称")
    private String inspMethodName;
    /**
     * 检查类别
     */
    @ApiModelProperty(hidden = false, value = "检查类别")
    private String inspType;
    /**
     * 检查技师编码
     */
    @ApiModelProperty(hidden = false, value = "检查技师编码")
    private String inspTechnicianCode;
    /**
     * 检查技师签名
     */
    @ApiModelProperty(hidden = false, value = "检查技师签名")
    private String inspTechnicianName;
    /**
     * 检查医师名称
     */
    @ApiModelProperty(hidden = false, value = "检查医师名称")
    private String inspDoctorName;
    /**
     * 检查医师签名
     */
    @ApiModelProperty(hidden = false, value = "检查医师签名")
    private String inspDoctorSign;
    /**
     * 检查日期
     */
    @ApiModelProperty(hidden = false, value = "检查日期")
    private Date inspDate;
    /**
     * 检查报告单编号
     */
    @ApiModelProperty(hidden = false, value = "检查报告单编号")
    private String inspReportFormNo;
    /**
     * 检查报告机构编码
     */
    @ApiModelProperty(hidden = false, value = "检查报告机构编码")
    private String inspReportOrgCode;
    /**
     * 检查报告机构名称
     */
    @ApiModelProperty(hidden = false, value = "检查报告机构名称")
    private String inspReportOrgName;
    /**
     * 检查报告编码
     */
    @ApiModelProperty(hidden = false, value = "检查报告编码")
    private String inspReportNo;
    /**
     * 检查报告科室
     */
    @ApiModelProperty(hidden = false, value = "检查报告科室")
    private String inspReportDept;
    /**
     * 检查报告结果-客观所见
     */
    @ApiModelProperty(hidden = false, value = "检查报告结果-客观所见")
    private String inspReportObResult;
    /**
     * 检查报告结果-主观提示
     */
    @ApiModelProperty(hidden = false, value = "检查报告结果-主观提示")
    private String inspReportSbResult;
    /**
     * 检查报告备注
     */
    @ApiModelProperty(hidden = false, value = "检查报告备注")
    private String inspReportNote;
    /**
     * 检查报告日期
     */
    @ApiModelProperty(hidden = false, value = "检查报告日期")
    private Date inspReportDate;
    /**
     * 报告医师编码
     */
    @ApiModelProperty(hidden = false, value = "报告医师编码")
    private Long reportDoctorId;
    /**
     * 报告医师签名
     */
    @ApiModelProperty(hidden = false, value = "报告医师签名")
    private String reportDoctorName;
    /**
     * 审核医师编码
     */
    @ApiModelProperty(hidden = false, value = "审核医师编码")
    private Long auditDoctorId;
    /**
     * 审核医师签名
     */
    @ApiModelProperty(hidden = false, value = "审核医师签名")
    private String auditDoctorName;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
