package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-住院病案首页-住院病案首页表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_mere_inpa_fpage")
public class HphyBlMereInpaFpage extends Model<HphyBlMereInpaFpage> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 住院病案流水号
     */
    @ApiModelProperty(hidden = false, value = "住院病案流水号")
    private Long patientId;
    /**
     * 住院流水号
     */
    @ApiModelProperty(hidden = false, value = "住院流水号")
    private Long inHospitalId;
    /**
     * 住院号
     */
    @ApiModelProperty(hidden = false, value = "住院号")
    private String hospitalNo;
    /**
     * 医疗付费方式代码CV07.10.005
     */
    @ApiModelProperty(hidden = false, value = "医疗付费方式代码CV07.10.005")
    private String paymentCode;
    /**
     * 医疗付费方式名称
     */
    @ApiModelProperty(hidden = false, value = "医疗付费方式名称")
    private String paymentName;
    /**
     * 健康卡号
     */
    @ApiModelProperty(hidden = false, value = "健康卡号")
    private Long healthCardId;
    /**
     * 住院次数
     */
    @ApiModelProperty(hidden = false, value = "住院次数")
    private String inHospitalTimes;
    /**
     * 病案号
     */
    @ApiModelProperty(hidden = false, value = "病案号")
    private String patientNo;
    /**
     * 姓名
     */
    @ApiModelProperty(hidden = false, value = "姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private Date birthDate;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 国籍代码GB/T2659-2000
     */
    @ApiModelProperty(hidden = false, value = "国籍代码GB/T2659-2000")
    private String nationCode;
    /**
     * 国籍名称
     */
    @ApiModelProperty(hidden = false, value = "国籍名称")
    private String nationName;
    /**
     * 新生儿出生体重（g）
     */
    @ApiModelProperty(hidden = false, value = "新生儿出生体重（g）")
    private String birthWeight;
    /**
     * 新生儿入院体重（g）
     */
    @ApiModelProperty(hidden = false, value = "新生儿入院体重（g）")
    private String inWeight;
    /**
     * 出生地-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "出生地-省（自治区、直辖市）")
    private String birthProvince;
    /**
     * 出生地-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "出生地-市（地区、州）")
    private String birthCity;
    /**
     * 出生地-县（区）
     */
    @ApiModelProperty(hidden = false, value = "出生地-县（区）")
    private String birthCounty;
    /**
     * 籍贯-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "籍贯-省（自治区、直辖市）")
    private String nativeProvince;
    /**
     * 籍贯-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "籍贯-市（地区、州）")
    private String nativeCity;
    /**
     * 民族GB3304-1991
     */
    @ApiModelProperty(hidden = false, value = "民族GB3304-1991")
    private String ethnicGroupCode;
    /**
     * 民族
     */
    @ApiModelProperty(hidden = false, value = "民族")
    private String ethnicGroup;
    /**
     * 职业类别代码GB/T2261.4-2003
     */
    @ApiModelProperty(hidden = false, value = "职业类别代码GB/T2261.4-2003")
    private String occupationCode;
    /**
     * 职业类别名称
     */
    @ApiModelProperty(hidden = false, value = "职业类别名称")
    private String occupation;
    /**
     * 婚姻状况代码GB/T2261.2-2003
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况代码GB/T2261.2-2003")
    private String maritalCode;
    /**
     * 婚姻状况名称
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况名称")
    private String marital;
    /**
     * 现住址-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "现住址-省（自治区、直辖市）")
    private String province;
    /**
     * 现住址-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "现住址-市（地区、州）")
    private String city;
    /**
     * 现住址-县（区）
     */
    @ApiModelProperty(hidden = false, value = "现住址-县（区）")
    private String county;
    /**
     * 现住址-乡（镇、街道办事处）
     */
    @ApiModelProperty(hidden = false, value = "现住址-乡（镇、街道办事处）")
    private String township;
    /**
     * 现住址-村（街、路、弄等）
     */
    @ApiModelProperty(hidden = false, value = "现住址-村（街、路、弄等）")
    private String village;
    /**
     * 现住址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "现住址-门牌号码")
    private String houseNo;
    /**
     * 现住址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "现住址-详细地址")
    private String detailedAddr;
    /**
     * 电话号码
     */
    @ApiModelProperty(hidden = false, value = "电话号码")
    private String telephone;
    /**
     * 现住址-邮政编码
     */
    @ApiModelProperty(hidden = false, value = "现住址-邮政编码")
    private String postcode;
    /**
     * 户口地址-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "户口地址-省（自治区、直辖市）")
    private String residenceProvince;
    /**
     * 户口地址-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "户口地址-市（地区、州）")
    private String residenceCity;
    /**
     * 户口地址-县（区）
     */
    @ApiModelProperty(hidden = false, value = "户口地址-县（区）")
    private String residenceCounty;
    /**
     * 户口地址-乡（镇、街道办事处）
     */
    @ApiModelProperty(hidden = false, value = "户口地址-乡（镇、街道办事处）")
    private String residenceTownship;
    /**
     * 户口地址-村（街、路、弄等）
     */
    @ApiModelProperty(hidden = false, value = "户口地址-村（街、路、弄等）")
    private String residenceVillage;
    /**
     * 户口地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "户口地址-门牌号码")
    private String residenceHouseNo;
    /**
     * 户口地址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "户口地址-详细地址")
    private String residenceDetailedAddr;
    /**
     * 户口地址-邮政编码
     */
    @ApiModelProperty(hidden = false, value = "户口地址-邮政编码")
    private String residencePostcode;
    /**
     * 工作单位名称
     */
    @ApiModelProperty(hidden = false, value = "工作单位名称")
    private String workUnitName;
    /**
     * 工作单位地址-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-省（自治区、直辖市）")
    private String workProvince;
    /**
     * 工作单位地址-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-市（地区、州）")
    private String workCity;
    /**
     * 工作单位地址-县（区）
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-县（区）")
    private String workCounty;
    /**
     * 工作单位地址-乡（镇、街道办事处）
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-乡（镇、街道办事处）")
    private String workTownship;
    /**
     * 工作单位地址-村（街、路、弄等）
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-村（街、路、弄等）")
    private String workVillage;
    /**
     * 工作单位地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-门牌号码")
    private String workHouseNo;
    /**
     * 工作单位地址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-详细地址")
    private String workDetailedAddr;
    /**
     * 工作单位电话号码
     */
    @ApiModelProperty(hidden = false, value = "工作单位电话号码")
    private String workTelephone;
    /**
     * 工作单位地址-邮政编码
     */
    @ApiModelProperty(hidden = false, value = "工作单位地址-邮政编码")
    private String workPostcode;
    /**
     * 联系人姓名
     */
    @ApiModelProperty(hidden = false, value = "联系人姓名")
    private String contactName;
    /**
     * 联系人与患者的关系代码GB/T4761-2008
     */
    @ApiModelProperty(hidden = false, value = "联系人与患者的关系代码GB/T4761-2008")
    private String contactRelationCode;
    /**
     * 联系人与患者的关系
     */
    @ApiModelProperty(hidden = false, value = "联系人与患者的关系")
    private String contactRelation;
    /**
     * 联系人地址-省（自治区、直辖市）
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-省（自治区、直辖市）")
    private String contactProvince;
    /**
     * 联系人地址-市（地区、州）
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-市（地区、州）")
    private String contactCity;
    /**
     * 联系人地址-县（区）
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-县（区）")
    private String contactCounty;
    /**
     * 联系人地址-乡（镇、街道办事处）
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-乡（镇、街道办事处）")
    private String contactTownship;
    /**
     * 联系人地址-村（街、路、弄等）
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-村（街、路、弄等）")
    private String contactVillage;
    /**
     * 联系人地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-门牌号码")
    private String contactHouseNo;
    /**
     * 联系人地址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "联系人地址-详细地址")
    private String contactDetailedAddr;
    /**
     * 联系人电话号码
     */
    @ApiModelProperty(hidden = false, value = "联系人电话号码")
    private String contactPhone;
    /**
     * 入院途径代码CV09.00.403
     */
    @ApiModelProperty(hidden = false, value = "入院途径代码CV09.00.403")
    private String inHospitalTypeCode;
    /**
     * 入院途径名称
     */
    @ApiModelProperty(hidden = false, value = "入院途径名称")
    private String inHospitalTypeName;
    /**
     * 入院日期时间
     */
    @ApiModelProperty(hidden = false, value = "入院日期时间")
    private Date inDtime;
    /**
     * 入院科别
     */
    @ApiModelProperty(hidden = false, value = "入院科别")
    private String inHospitalDept;
    /**
     * 入院病房
     */
    @ApiModelProperty(hidden = false, value = "入院病房")
    private String inHospitalRoom;
    /**
     * 转科科别
     */
    @ApiModelProperty(hidden = false, value = "转科科别")
    private String changedDept;
    /**
     * 出院日期时间
     */
    @ApiModelProperty(hidden = false, value = "出院日期时间")
    private Date outDtime;
    /**
     * 出院科别
     */
    @ApiModelProperty(hidden = false, value = "出院科别")
    private String outDept;
    /**
     * 出院病房
     */
    @ApiModelProperty(hidden = false, value = "出院病房")
    private String outRoom;
    /**
     * 实际住院天数
     */
    @ApiModelProperty(hidden = false, value = "实际住院天数")
    private String actualInDays;
    /**
     * 损伤中毒的外部原因
     */
    @ApiModelProperty(hidden = false, value = "损伤中毒的外部原因")
    private String damagePoisonReason;
    /**
     * 损伤中毒的外部原因疾病编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "损伤中毒的外部原因疾病编码ICD-10")
    private String damagePoisonReasonCode;
    /**
     * 病理号
     */
    @ApiModelProperty(hidden = false, value = "病理号")
    private String pathologyNo;
    /**
     * 药物过敏标志
     */
    @ApiModelProperty(hidden = false, value = "药物过敏标志")
    private String hasDrugAllergic;
    /**
     * 死亡患者尸检标志
     */
    @ApiModelProperty(hidden = false, value = "死亡患者尸检标志")
    private String hasAutopsied;
    /**
     * ABO血型代码CV04.50.005
     */
    @ApiModelProperty(hidden = false, value = "ABO血型代码CV04.50.005")
    private String aboBloodCode;
    /**
     * ABO血型名称
     */
    @ApiModelProperty(hidden = false, value = "ABO血型名称")
    private String aboBlood;
    /**
     * Rh血型代码CV04.50.020
     */
    @ApiModelProperty(hidden = false, value = "Rh血型代码CV04.50.020")
    private String rhBloodCode;
    /**
     * Rh血型名称
     */
    @ApiModelProperty(hidden = false, value = "Rh血型名称")
    private String rhBlood;
    /**
     * 科主任id
     */
    @ApiModelProperty(hidden = false, value = "科主任id")
    private Long subjectHeadId;
    /**
     * 科主任签名
     */
    @ApiModelProperty(hidden = false, value = "科主任签名")
    private String subjectHeadName;
    /**
     * 主任（副主任）医师id
     */
    @ApiModelProperty(hidden = false, value = "主任（副主任）医师id")
    private Long deptDirectorId;
    /**
     * 主任（副主任）医师签名
     */
    @ApiModelProperty(hidden = false, value = "主任（副主任）医师签名")
    private String deptDirectorName;
    /**
     * 主治医师id
     */
    @ApiModelProperty(hidden = false, value = "主治医师id")
    private Long chiefDoctorId;
    /**
     * 主治医师签名
     */
    @ApiModelProperty(hidden = false, value = "主治医师签名")
    private String chiefDoctorName;
    /**
     * 住院医师id
     */
    @ApiModelProperty(hidden = false, value = "住院医师id")
    private Long residentDoctorId;
    /**
     * 住院医师签名
     */
    @ApiModelProperty(hidden = false, value = "住院医师签名")
    private String residentDoctorName;
    /**
     * 责任护士id
     */
    @ApiModelProperty(hidden = false, value = "责任护士id")
    private Long respNurseId;
    /**
     * 责任护士签名
     */
    @ApiModelProperty(hidden = false, value = "责任护士签名")
    private String respNurseName;
    /**
     * 进修医师id
     */
    @ApiModelProperty(hidden = false, value = "进修医师id")
    private Long refresherDoctorId;
    /**
     * 进修医师签名
     */
    @ApiModelProperty(hidden = false, value = "进修医师签名")
    private String refresherDoctorName;
    /**
     * 实习医师id
     */
    @ApiModelProperty(hidden = false, value = "实习医师id")
    private Long internDoctorId;
    /**
     * 实习医师签名
     */
    @ApiModelProperty(hidden = false, value = "实习医师签名")
    private String internDoctorName;
    /**
     * 编码员签名
     */
    @ApiModelProperty(hidden = false, value = "编码员签名")
    private String coderName;
    /**
     * 病案质量代码DE09.00.103.001.甲2.乙
     */
    @ApiModelProperty(hidden = false, value = "病案质量代码DE09.00.103.001.甲2.乙")
    private String mediRecordQuaCode;
    /**
     * 病案质量名称
     */
    @ApiModelProperty(hidden = false, value = "病案质量名称")
    private String mediRecordQuaName;
    /**
     * 质控医师id
     */
    @ApiModelProperty(hidden = false, value = "质控医师id")
    private Long qcDoctorId;
    /**
     * 质控医师签名
     */
    @ApiModelProperty(hidden = false, value = "质控医师签名")
    private String qcDoctorName;
    /**
     * 质控护士id
     */
    @ApiModelProperty(hidden = false, value = "质控护士id")
    private Long qcNurseId;
    /**
     * 质控护士签名
     */
    @ApiModelProperty(hidden = false, value = "质控护士签名")
    private String qcNurseName;
    /**
     * 质控日期
     */
    @ApiModelProperty(hidden = false, value = "质控日期")
    private Date qcDate;
    /**
     * 离院方式代码CV06.00.226
     */
    @ApiModelProperty(hidden = false, value = "离院方式代码CV06.00.226")
    private String outTypeCode;
    /**
     * 离院方式
     */
    @ApiModelProperty(hidden = false, value = "离院方式")
    private String outType;
    /**
     * 拟接收医疗机构名称
     */
    @ApiModelProperty(hidden = false, value = "拟接收医疗机构名称")
    private String planAcceptOrg;
    /**
     * 出院31d内再住院标志
     */
    @ApiModelProperty(hidden = false, value = "出院31d内再住院标志")
    private String hasRehospAfter31;
    /**
     * 出院31d内再住院目的
     */
    @ApiModelProperty(hidden = false, value = "出院31d内再住院目的")
    private String rehospAfter31Pur;
    /**
     * 颅脑损伤患者入院前昏迷时间-d
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院前昏迷时间-d")
    private String comaDuratBeforDay;
    /**
     * 颅脑损伤患者入院前昏迷时间-h
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院前昏迷时间-h")
    private String comaDuratBeforHour;
    /**
     * 颅脑损伤患者入院前昏迷时间-min
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院前昏迷时间-min")
    private String comaDuratBeforMin;
    /**
     * 颅脑损伤患者入院后昏迷时间-d
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院后昏迷时间-d")
    private String comaDuratAfterDay;
    /**
     * 颅脑损伤患者入院后昏迷时间-h
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院后昏迷时间-h")
    private String comaDuratAfterHour;
    /**
     * 颅脑损伤患者入院后昏迷时间-min
     */
    @ApiModelProperty(hidden = false, value = "颅脑损伤患者入院后昏迷时间-min")
    private String comaDuratAfterMin;
    /**
     * 住院总费用
     */
    @ApiModelProperty(hidden = false, value = "住院总费用")
    private String totalFee;
    /**
     * 住院总费用-自付金额
     */
    @ApiModelProperty(hidden = false, value = "住院总费用-自付金额")
    private String selfTotalFee;
    /**
     * 综合医疗服务类-一般医疗服务费
     */
    @ApiModelProperty(hidden = false, value = "综合医疗服务类-一般医疗服务费")
    private String generalMedical;
    /**
     * 综合医疗服务类-一般治疗操作费
     */
    @ApiModelProperty(hidden = false, value = "综合医疗服务类-一般治疗操作费")
    private String generalTreatFee;
    /**
     * 综合医疗服务类-护理费
     */
    @ApiModelProperty(hidden = false, value = "综合医疗服务类-护理费")
    private String nursingFee;
    /**
     * 综合医疗服务类-其他费用
     */
    @ApiModelProperty(hidden = false, value = "综合医疗服务类-其他费用")
    private String otherFee;
    /**
     * 诊断类-病理诊断费
     */
    @ApiModelProperty(hidden = false, value = "诊断类-病理诊断费")
    private String pathologyFee;
    /**
     * 诊断类-实验室诊断费
     */
    @ApiModelProperty(hidden = false, value = "诊断类-实验室诊断费")
    private String laboratoryFee;
    /**
     * 诊断类-影像学诊断费
     */
    @ApiModelProperty(hidden = false, value = "诊断类-影像学诊断费")
    private String imageFee;
    /**
     * 诊断类-临床诊断项目费
     */
    @ApiModelProperty(hidden = false, value = "诊断类-临床诊断项目费")
    private String clinicFee;
    /**
     * 治疗类-非手术治疗项目费
     */
    @ApiModelProperty(hidden = false, value = "治疗类-非手术治疗项目费")
    private String nonsurgicalFee;
    /**
     * 治疗类-非手术治疗项目费-临床物理治疗费
     */
    @ApiModelProperty(hidden = false, value = "治疗类-非手术治疗项目费-临床物理治疗费")
    private String nonsurgicalPhysFee;
    /**
     * 治疗类-手术治疗费
     */
    @ApiModelProperty(hidden = false, value = "治疗类-手术治疗费")
    private String surgicalFee;
    /**
     * 治疗类-手术治疗费-麻醉费
     */
    @ApiModelProperty(hidden = false, value = "治疗类-手术治疗费-麻醉费")
    private String surgicalAnesthesia;
    /**
     * 治疗类-手术治疗费-手术费
     */
    @ApiModelProperty(hidden = false, value = "治疗类-手术治疗费-手术费")
    private String operationFee;
    /**
     * 康复类-康复费
     */
    @ApiModelProperty(hidden = false, value = "康复类-康复费")
    private String recoveryFee;
    /**
     * 中医类-中医治疗费
     */
    @ApiModelProperty(hidden = false, value = "中医类-中医治疗费")
    private String tcmTreatmentFee;
    /**
     * 西药类-西药费
     */
    @ApiModelProperty(hidden = false, value = "西药类-西药费")
    private String westernMedicineFee;
    /**
     * 西药类-西药费-抗菌药物费用
     */
    @ApiModelProperty(hidden = false, value = "西药类-西药费-抗菌药物费用")
    private String wmAntiFee;
    /**
     * 中药类-中成药费
     */
    @ApiModelProperty(hidden = false, value = "中药类-中成药费")
    private String tcmMedicineFee;
    /**
     * 中药类-中草药费
     */
    @ApiModelProperty(hidden = false, value = "中药类-中草药费")
    private String tcmHerbalFee;
    /**
     * 血液和血液制品类-血费
     */
    @ApiModelProperty(hidden = false, value = "血液和血液制品类-血费")
    private String bloodFee;
    /**
     * 血液和血液制品类-白蛋白类制品费
     */
    @ApiModelProperty(hidden = false, value = "血液和血液制品类-白蛋白类制品费")
    private String albuminFee;
    /**
     * 血液和血液制品类-球蛋白类制品费
     */
    @ApiModelProperty(hidden = false, value = "血液和血液制品类-球蛋白类制品费")
    private String globulinFee;
    /**
     * 血液和血液制品类-凝血因子类制品费
     */
    @ApiModelProperty(hidden = false, value = "血液和血液制品类-凝血因子类制品费")
    private String bcfFeeFee;
    /**
     * 血液和血液制品类-细胞因子类制品费
     */
    @ApiModelProperty(hidden = false, value = "血液和血液制品类-细胞因子类制品费")
    private String cytokineFee;
    /**
     * 耗材类-检查用一次性医用材料费
     */
    @ApiModelProperty(hidden = false, value = "耗材类-检查用一次性医用材料费")
    private String checkMaterialFee;
    /**
     * 耗材类-治疗用一次性医用材料费
     */
    @ApiModelProperty(hidden = false, value = "耗材类-治疗用一次性医用材料费")
    private String treatMaterialFee;
    /**
     * 耗材类-手术用一次性医用材料费
     */
    @ApiModelProperty(hidden = false, value = "耗材类-手术用一次性医用材料费")
    private String operMaterialFee;
    /**
     * 其他类-其他费
     */
    @ApiModelProperty(hidden = false, value = "其他类-其他费")
    private String otherTypeFee;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
