package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-门（急）病历-门（急）诊病历表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_op_emr_case")
public class HphyBlOpEmrCase extends Model<HphyBlOpEmrCase> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 门(急)诊流水号
     */
    @ApiModelProperty(hidden = false, value = "门(急)诊流水号")
    private Long caseId;
    /**
     * 门（急）诊号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号")
    private String outpatNo;
    /**
     * 科室代码
     */
    @ApiModelProperty(hidden = false, value = "科室代码")
    private String deptCode;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private Date birthDate;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 过敏史标志
     */
    @ApiModelProperty(hidden = false, value = "过敏史标志")
    private String hasAllergicHistory;
    /**
     * 过敏史
     */
    @ApiModelProperty(hidden = false, value = "过敏史")
    private String allergicHistory;
    /**
     * 就诊日期时间
     */
    @ApiModelProperty(hidden = false, value = "就诊日期时间")
    private Date visitDtime;
    /**
     * 初诊标志代码
     */
    @ApiModelProperty(hidden = false, value = "初诊标志代码")
    private String firstVisitCode;
    /**
     * 初诊标志名称
     */
    @ApiModelProperty(hidden = false, value = "初诊标志名称")
    private String firstVisitName;
    /**
     * 主诉
     */
    @ApiModelProperty(hidden = false, value = "主诉")
    private String chiefComplaint;
    /**
     * 现病史
     */
    @ApiModelProperty(hidden = false, value = "现病史")
    private String currentDisease;
    /**
     * 既往史
     */
    @ApiModelProperty(hidden = false, value = "既往史")
    private String diseaseHistory;
    /**
     * 体温(单位℃)
     */
    @ApiModelProperty(hidden = false, value = "体温(单位℃)")
    private String temperature;
    /**
     * 脉率（次/分钟）
     */
    @ApiModelProperty(hidden = false, value = "脉率（次/分钟）")
    private String pulses;
    /**
     * 呼吸频率（次/分钟）
     */
    @ApiModelProperty(hidden = false, value = "呼吸频率（次/分钟）")
    private String respiration;
    /**
     * 收缩压（mmHg）
     */
    @ApiModelProperty(hidden = false, value = "收缩压（mmHg）")
    private String sbp;
    /**
     * 舒张压（mmHg）
     */
    @ApiModelProperty(hidden = false, value = "舒张压（mmHg）")
    private String dbp;
    /**
     * 身高（cm）
     */
    @ApiModelProperty(hidden = false, value = "身高（cm）")
    private String height;
    /**
     * 体重（kg）
     */
    @ApiModelProperty(hidden = false, value = "体重（kg）")
    private String weight;
    /**
     * 体格检查
     */
    @ApiModelProperty(hidden = false, value = "体格检查")
    private String bodyCheck;
    /**
     * 处理意见
     */
    @ApiModelProperty(hidden = false, value = "处理意见")
    private String guideSuggest;
    /**
     * 健康指导
     */
    @ApiModelProperty(hidden = false, value = "健康指导")
    private String guide;
    /**
     * 辅助检查及结果
     */
    @ApiModelProperty(hidden = false, value = "辅助检查及结果")
    private String assExamAndResults;
    /**
     * 初步诊断代码
     */
    @ApiModelProperty(hidden = false, value = "初步诊断代码")
    private String firstDiagnosisCode;
    /**
     * 初步诊断名称
     */
    @ApiModelProperty(hidden = false, value = "初步诊断名称")
    private String firstDiagnosisName;
    /**
     * 诊断描述
     */
    @ApiModelProperty(hidden = false, value = "诊断描述")
    private String diagnosticDesc;
    /**
     * 辨证依据
     */
    @ApiModelProperty(hidden = false, value = "辨证依据")
    private String dialecticalBasis;
    /**
     * 治则治法GB/T16751.3-1997
     */
    @ApiModelProperty(hidden = false, value = "治则治法GB/T16751.3-1997")
    private String therapeuticPrinc;
    /**
     * 电子申请单编号
     */
    @ApiModelProperty(hidden = false, value = "电子申请单编号")
    private String appFormNo;
    /**
     * 医师编码
     */
    @ApiModelProperty(hidden = false, value = "医师编码")
    private Long doctorId;
    /**
     * 医师签名
     */
    @ApiModelProperty(hidden = false, value = "医师签名")
    private String doctorName;
    /**
     * 备注
     */
    @ApiModelProperty(hidden = false, value = "备注")
    private String note;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
