package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-转诊（院）记录表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_op_referral")
public class HphyBlOpReferral extends Model<HphyBlOpReferral> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 城乡居民健康裆案编
     */
    @ApiModelProperty(hidden = false, value = "城乡居民健康裆案编")
    private Long healthRecordId;
    /**
     * 本人姓名
     */
    @ApiModelProperty(hidden = false, value = "本人姓名")
    private String patientName;
    /**
     * 性别代码
     */
    @ApiModelProperty(hidden = false, value = "性别代码")
    private String sexCode;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private Date birthDate;
    /**
     * 家庭地址-省(自治区、直辖市)
     */
    @ApiModelProperty(hidden = false, value = "家庭地址-省(自治区、直辖市)")
    private String province;
    /**
     * 家庭-市(地区、州)
     */
    @ApiModelProperty(hidden = false, value = "家庭-市(地区、州)")
    private String city;
    /**
     * 家庭地址-县(区)
     */
    @ApiModelProperty(hidden = false, value = "家庭地址-县(区)")
    private String county;
    /**
     * 家庭地址-乡(镇、街道办事处)
     */
    @ApiModelProperty(hidden = false, value = "家庭地址-乡(镇、街道办事处)")
    private String township;
    /**
     * 家庭地址-村(街、路弄等)
     */
    @ApiModelProperty(hidden = false, value = "家庭地址-村(街、路弄等)")
    private String village;
    /**
     * 家庭地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "家庭地址-门牌号码")
    private String houseNo;
    /**
     * 转诊患者电话号码
     */
    @ApiModelProperty(hidden = false, value = "转诊患者电话号码")
    private String patientPhone;
    /**
     * 转诊日期
     */
    @ApiModelProperty(hidden = false, value = "转诊日期")
    private Date transferTreatDate;
    /**
     * 转入医疗机构名称
     */
    @ApiModelProperty(hidden = false, value = "转入医疗机构名称")
    private String intoOrgName;
    /**
     * 转入医疗机构代码
     */
    @ApiModelProperty(hidden = false, value = "转入医疗机构代码")
    private String intoOrgCode;
    /**
     * 转入机构科室
     */
    @ApiModelProperty(hidden = false, value = "转入机构科室")
    private String intoOrgDept;
    /**
     * 接诊医师姓名
     */
    @ApiModelProperty(hidden = false, value = "接诊医师姓名")
    private String acceptDoctorName;
    /**
     * 转诊医师姓名
     */
    @ApiModelProperty(hidden = false, value = "转诊医师姓名")
    private String transferDoctorName;
    /**
     * 转诊医师电话号
     */
    @ApiModelProperty(hidden = false, value = "转诊医师电话号")
    private String transferDoctorPhone;
    /**
     * 转出医疗机构名称
     */
    @ApiModelProperty(hidden = false, value = "转出医疗机构名称")
    private String outOrgName;
    /**
     * 转出医疗机构代码
     */
    @ApiModelProperty(hidden = false, value = "转出医疗机构代码")
    private String outOrgCode;
    /**
     * 转诊原因
     */
    @ApiModelProperty(hidden = false, value = "转诊原因")
    private String outReason;
    /**
     * 既往疾病史
     */
    @ApiModelProperty(hidden = false, value = "既往疾病史")
    private String diseaseHistory;
    /**
     * 既往疾病种类代码
     */
    @ApiModelProperty(hidden = false, value = "既往疾病种类代码")
    private String diseaseHistoryCode;
    /**
     * 检查(检验)类别
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)类别")
    private String examType;
    /**
     * 检查(检验)项目名称
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)项目名称")
    private String examItemName;
    /**
     * 检查(检验)项目代码
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)项目代码")
    private String examItemCode;
    /**
     * 检查(检验)结果代码
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)结果代码")
    private String examResultCode;
    /**
     * 检查(检验)定童结果
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)定童结果")
    private String examQuantitativeResult;
    /**
     * 检查(检验)计量单位
     */
    @ApiModelProperty(hidden = false, value = "检查(检验)计量单位")
    private String examUnit;
    /**
     * 中药类别代码
     */
    @ApiModelProperty(hidden = false, value = "中药类别代码")
    private String tcmDrugTypeCode;
    /**
     * 药物类型
     */
    @ApiModelProperty(hidden = false, value = "药物类型")
    private String drugType;
    /**
     * 药物名称
     */
    @ApiModelProperty(hidden = false, value = "药物名称")
    private String drugName;
    /**
     * 药物剂型代码
     */
    @ApiModelProperty(hidden = false, value = "药物剂型代码")
    private String drugDoseCode;
    /**
     * 用药天数
     */
    @ApiModelProperty(hidden = false, value = "用药天数")
    private String drugUseDays;
    /**
     * 药物使用频率
     */
    @ApiModelProperty(hidden = false, value = "药物使用频率")
    private String drugUsageFreq;
    /**
     * 药物使用剂量单位
     */
    @ApiModelProperty(hidden = false, value = "药物使用剂量单位")
    private String drugUsageDoseUnit;
    /**
     * 药物使用次剂量
     */
    @ApiModelProperty(hidden = false, value = "药物使用次剂量")
    private String drugUsageDose;
    /**
     * 药物使用总剂量
     */
    @ApiModelProperty(hidden = false, value = "药物使用总剂量")
    private String drugUsageTotalDose;
    /**
     * 药物使用途径代码
     */
    @ApiModelProperty(hidden = false, value = "药物使用途径代码")
    private String drugUseTypeCode;
    /**
     * 用药停止日期时间
     */
    @ApiModelProperty(hidden = false, value = "用药停止日期时间")
    private Date stopUseDrugTime;
    /**
     * 手术(操作)名称
     */
    @ApiModelProperty(hidden = false, value = "手术(操作)名称")
    private String operationName;
    /**
     * 手术(操作)代码
     */
    @ApiModelProperty(hidden = false, value = "手术(操作)代码")
    private String operationCode;
    /**
     * 手术(操作)日期时间
     */
    @ApiModelProperty(hidden = false, value = "手术(操作)日期时间")
    private Date operationTime;
    /**
     * 麻醉方法名称
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法名称")
    private String anesthesiaName;
    /**
     * 麻醉方法代码
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法代码")
    private String anesthesiaCode;
    /**
     * 其他医学处置
     */
    @ApiModelProperty(hidden = false, value = "其他医学处置")
    private String otherMedicalTreat;
    /**
     * 诊断名称
     */
    @ApiModelProperty(hidden = false, value = "诊断名称")
    private String diagnosisName;
    /**
     * 诊断代码
     */
    @ApiModelProperty(hidden = false, value = "诊断代码")
    private String diagnosisCode;
    /**
     * 病案号
     */
    @ApiModelProperty(hidden = false, value = "病案号")
    private String patientNo;
    /**
     * 治疗方案
     */
    @ApiModelProperty(hidden = false, value = "治疗方案")
    private String treatmentPlan;
    /**
     * 康复措施指导
     */
    @ApiModelProperty(hidden = false, value = "康复措施指导")
    private String rehabMeasGuide;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
