package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-门急诊处方-中医处方表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_op_tcm_pres")
public class HphyBlOpTcmPres extends Model<HphyBlOpTcmPres> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 中药处方流水号
     */
    @ApiModelProperty(hidden = false, value = "中药处方流水号")
    private Long tcmPresId;
    /**
     * 门(急)诊流水号
     */
    @ApiModelProperty(hidden = false, value = "门(急)诊流水号")
    private Long caseId;
    /**
     * 门（急）诊号
     */
    @ApiModelProperty(hidden = false, value = "门（急）诊号")
    private String outpatNo;
    /**
     * 处方编号
     */
    @ApiModelProperty(hidden = false, value = "处方编号")
    private String presNo;
    /**
     * 处方开立日期
     */
    @ApiModelProperty(hidden = false, value = "处方开立日期")
    private Date presDate;
    /**
     * 处方有效天数
     */
    @ApiModelProperty(hidden = false, value = "处方有效天数")
    private String presValidity;
    /**
     * 处方开立科室代码
     */
    @ApiModelProperty(hidden = false, value = "处方开立科室代码")
    private String presDeptCode;
    /**
     * 处方开立科室名称
     */
    @ApiModelProperty(hidden = false, value = "处方开立科室名称")
    private String presDeptName;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 中医病名名称
     */
    @ApiModelProperty(hidden = false, value = "中医病名名称")
    private String tcmDiseaseName;
    /**
     * 中医病名代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "中医病名代码GB/T15657-1995")
    private String tcmDiseaseCode;
    /**
     * 中医证候名称
     */
    @ApiModelProperty(hidden = false, value = "中医证候名称")
    private String tcmSyndromeName;
    /**
     * 中医证候代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "中医证候代码GB/T15657-1995")
    private String tcmSyndromeCode;
    /**
     * 治则治法GB/T16751.3-1997
     */
    @ApiModelProperty(hidden = false, value = "治则治法GB/T16751.3-1997")
    private String therapeuticPrinc;
    /**
     * 中药饮片处方(文本类型)
     */
    @ApiModelProperty(hidden = false, value = "中药饮片处方(文本类型)")
    private String herbalPres;
    /**
     * 中药饮片剂数（剂）
     */
    @ApiModelProperty(hidden = false, value = "中药饮片剂数（剂）")
    private String herbalDoses;
    /**
     * 中药饮片煎煮法
     */
    @ApiModelProperty(hidden = false, value = "中药饮片煎煮法")
    private String decoctionMethod;
    /**
     * 中药用药方法
     */
    @ApiModelProperty(hidden = false, value = "中药用药方法")
    private String usage;
    /**
     * 处方开立医师编码
     */
    @ApiModelProperty(hidden = false, value = "处方开立医师编码")
    private Long physicianId;
    /**
     * 处方开立医师签名
     */
    @ApiModelProperty(hidden = false, value = "处方开立医师签名")
    private String physicianName;
    /**
     * 处方审核药剂师编码
     */
    @ApiModelProperty(hidden = false, value = "处方审核药剂师编码")
    private String auditPharmacistCode;
    /**
     * 处方审核药剂师签名
     */
    @ApiModelProperty(hidden = false, value = "处方审核药剂师签名")
    private String auditPharmacistName;
    /**
     * 处方调配药剂师编码
     */
    @ApiModelProperty(hidden = false, value = "处方调配药剂师编码")
    private String deployPhamacistCode;
    /**
     * 处方调配药剂师签名
     */
    @ApiModelProperty(hidden = false, value = "处方调配药剂师签名")
    private String deployPhamacistName;
    /**
     * 处方核对药剂师编码
     */
    @ApiModelProperty(hidden = false, value = "处方核对药剂师编码")
    private String reviewPhamacistCode;
    /**
     * 处方核对药剂师签名
     */
    @ApiModelProperty(hidden = false, value = "处方核对药剂师签名")
    private String reviewPhamacistName;
    /**
     * 处方发药药剂师编码
     */
    @ApiModelProperty(hidden = false, value = "处方发药药剂师编码")
    private String dispensingPhamacistCode;
    /**
     * 处方发药药剂师签名
     */
    @ApiModelProperty(hidden = false, value = "处方发药药剂师签名")
    private String dispensingPhamacistName;
    /**
     * 处方备注信息
     */
    @ApiModelProperty(hidden = false, value = "处方备注信息")
    private String presNote;
    /**
     * 处方药品金额
     */
    @ApiModelProperty(hidden = false, value = "处方药品金额")
    private String presFee;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
