package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-住院病程记录-出院记录表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_preo_disch_records")
public class HphyBlPreoDischRecords extends Model<HphyBlPreoDischRecords> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 住院流水号
     */
    @ApiModelProperty(hidden = false, value = "住院流水号")
    private Long inHospitalId;
    /**
     * 住院号
     */
    @ApiModelProperty(hidden = false, value = "住院号")
    private String hospitalNo;
    /**
     * 病区名称
     */
    @ApiModelProperty(hidden = false, value = "病区名称")
    private String wardName;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 病房号
     */
    @ApiModelProperty(hidden = false, value = "病房号")
    private String roomNo;
    /**
     * 病床号
     */
    @ApiModelProperty(hidden = false, value = "病床号")
    private String bedNo;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 入院日期时间
     */
    @ApiModelProperty(hidden = false, value = "入院日期时间")
    private Date inDtime;
    /**
     * 入院情况
     */
    @ApiModelProperty(hidden = false, value = "入院情况")
    private String inHospitalDesc;
    /**
     * 入院诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "入院诊断编码ICD-10")
    private String diagnosisCode;
    /**
     * 阳性辅助检查结果
     */
    @ApiModelProperty(hidden = false, value = "阳性辅助检查结果")
    private String auxilPositResult;
    /**
     * 中医“四诊”观察结果
     */
    @ApiModelProperty(hidden = false, value = "中医“四诊”观察结果")
    private String tcmObserve;
    /**
     * 治则治法GB/T16751.3-1997
     */
    @ApiModelProperty(hidden = false, value = "治则治法GB/T16751.3-1997")
    private String therapeuticPrinc;
    /**
     * 诊疗过程描述
     */
    @ApiModelProperty(hidden = false, value = "诊疗过程描述")
    private String treatRescueDesc;
    /**
     * 中药煎煮方法
     */
    @ApiModelProperty(hidden = false, value = "中药煎煮方法")
    private String tcmDecoctMethod;
    /**
     * 中药用药方法
     */
    @ApiModelProperty(hidden = false, value = "中药用药方法")
    private String tcmUsage;
    /**
     * 出院情况
     */
    @ApiModelProperty(hidden = false, value = "出院情况")
    private String outStatus;
    /**
     * 出院日期时间
     */
    @ApiModelProperty(hidden = false, value = "出院日期时间")
    private Date outDtime;
    /**
     * 出院诊断-西医诊断名称
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-西医诊断名称")
    private String outWmDiagName;
    /**
     * 出院诊断-西医诊断编码ICD-10
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-西医诊断编码ICD-10")
    private String outWmDiagCode;
    /**
     * 出院诊断-中医病名名称
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-中医病名名称")
    private String outTcmDiseaseName;
    /**
     * 出院诊断-中医病名代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-中医病名代码GB/T15657-1995")
    private String outTcmDiseaseCode;
    /**
     * 出院诊断-中医症候名称
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-中医症候名称")
    private String outTcmSyndromeName;
    /**
     * 出院诊断-中医症候代码GB/T15657-1995
     */
    @ApiModelProperty(hidden = false, value = "出院诊断-中医症候代码GB/T15657-1995")
    private String outTcmSyndromeCode;
    /**
     * 出院时症状与体征
     */
    @ApiModelProperty(hidden = false, value = "出院时症状与体征")
    private String dischSymptonSign;
    /**
     * 出院医嘱
     */
    @ApiModelProperty(hidden = false, value = "出院医嘱")
    private Date adviceTime;
    /**
     * 住院医师ID
     */
    @ApiModelProperty(hidden = false, value = "住院医师ID")
    private Long residentDoctorId;
    /**
     * 住院医师签名
     */
    @ApiModelProperty(hidden = false, value = "住院医师签名")
    private String residentDoctorName;
    /**
     * 主治医师编号
     */
    @ApiModelProperty(hidden = false, value = "主治医师编号")
    private Long chiefDoctorId;
    /**
     * 主治医师签名
     */
    @ApiModelProperty(hidden = false, value = "主治医师签名")
    private String chiefDoctorName;
    /**
     * 主任医师编号
     */
    @ApiModelProperty(hidden = false, value = "主任医师编号")
    private Long archiaterId;
    /**
     * 主任医师签名
     */
    @ApiModelProperty(hidden = false, value = "主任医师签名")
    private String archiaterName;
    /**
     * 签名日期时间
     */
    @ApiModelProperty(hidden = false, value = "签名日期时间")
    private Date signDtime;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
