package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 电子病历-住院病程记录-出院小结表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_bl_preo_disch_summary")
public class HphyBlPreoDischSummary extends Model<HphyBlPreoDischSummary> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 住院流水号
     */
    @ApiModelProperty(hidden = false, value = "住院流水号")
    private Long inHospitalId;
    /**
     * 住院号
     */
    @ApiModelProperty(hidden = false, value = "住院号")
    private String hospitalNo;
    /**
     * 居民健康卡号
     */
    @ApiModelProperty(hidden = false, value = "居民健康卡号")
    private Long healthCardId;
    /**
     * 病区名称
     */
    @ApiModelProperty(hidden = false, value = "病区名称")
    private String wardName;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 病房号
     */
    @ApiModelProperty(hidden = false, value = "病房号")
    private String roomNo;
    /**
     * 病床号
     */
    @ApiModelProperty(hidden = false, value = "病床号")
    private String bedNo;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 身份证件类别代码CV02.01.101
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别代码CV02.01.101")
    private String idCardCode;
    /**
     * 身份证件类别名称
     */
    @ApiModelProperty(hidden = false, value = "身份证件类别名称")
    private String idCardName;
    /**
     * 身份证件号码
     */
    @ApiModelProperty(hidden = false, value = "身份证件号码")
    private String idCardNo;
    /**
     * 性别代码GB/T2261.1-2003
     */
    @ApiModelProperty(hidden = false, value = "性别代码GB/T2261.1-2003")
    private String sexCode;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 年龄单位代码1.年2.月3.天
     */
    @ApiModelProperty(hidden = false, value = "年龄单位代码1.年2.月3.天")
    private String ageUnitCode;
    /**
     * 年龄单位名称
     */
    @ApiModelProperty(hidden = false, value = "年龄单位名称")
    private String ageUnitName;
    /**
     * 婚姻状况代码GB/T2261.2-2003
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况代码GB/T2261.2-2003")
    private String maritalCode;
    /**
     * 婚姻状况
     */
    @ApiModelProperty(hidden = false, value = "婚姻状况")
    private String marital;
    /**
     * 职业类别代码GB/T2261.4-2003
     */
    @ApiModelProperty(hidden = false, value = "职业类别代码GB/T2261.4-2003")
    private String occupationCode;
    /**
     * 职业类别
     */
    @ApiModelProperty(hidden = false, value = "职业类别")
    private String occupation;
    /**
     * 患者电话号码
     */
    @ApiModelProperty(hidden = false, value = "患者电话号码")
    private String patientPhone;
    /**
     * 地址类别代码CV02.01.205
     */
    @ApiModelProperty(hidden = false, value = "地址类别代码CV02.01.205")
    private String addrSortCode;
    /**
     * 地址类别
     */
    @ApiModelProperty(hidden = false, value = "地址类别")
    private String addrSort;
    /**
     * 现住地址-省
     */
    @ApiModelProperty(hidden = false, value = "现住地址-省")
    private String province;
    /**
     * 现住地址-市(地区、州)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-市(地区、州)")
    private String city;
    /**
     * 现住地址-县(区)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-县(区)")
    private String county;
    /**
     * 现住地址-乡(镇、街道办事处)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-乡(镇、街道办事处)")
    private String township;
    /**
     * 现住地址-村(街、路、弄等)
     */
    @ApiModelProperty(hidden = false, value = "现住地址-村(街、路、弄等)")
    private String village;
    /**
     * 现住地址-门牌号码
     */
    @ApiModelProperty(hidden = false, value = "现住地址-门牌号码")
    private String houseNo;
    /**
     * 现住地址-详细地址
     */
    @ApiModelProperty(hidden = false, value = "现住地址-详细地址")
    private String detailedAddr;
    /**
     * 邮政编码
     */
    @ApiModelProperty(hidden = false, value = "邮政编码")
    private String postcode;
    /**
     * 联系人姓名
     */
    @ApiModelProperty(hidden = false, value = "联系人姓名")
    private String contactName;
    /**
     * 联系人电话
     */
    @ApiModelProperty(hidden = false, value = "联系人电话")
    private String contactPhone;
    /**
     * 入院日期时间
     */
    @ApiModelProperty(hidden = false, value = "入院日期时间")
    private Date inDtime;
    /**
     * 入院情况
     */
    @ApiModelProperty(hidden = false, value = "入院情况")
    private String inHospitalDesc;
    /**
     * 手术及操作编码ICD-9-CM-3
     */
    @ApiModelProperty(hidden = false, value = "手术及操作编码ICD-9-CM-3")
    private String operationCode;
    /**
     * 手术及操作名称
     */
    @ApiModelProperty(hidden = false, value = "手术及操作名称")
    private String operationName;
    /**
     * 手术及操作开始日期时间
     */
    @ApiModelProperty(hidden = false, value = "手术及操作开始日期时间")
    private Date operationStartDtime;
    /**
     * 麻醉方法代码CV06.00.103
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法代码CV06.00.103")
    private String anesthesiaCode;
    /**
     * 麻醉方法名称
     */
    @ApiModelProperty(hidden = false, value = "麻醉方法名称")
    private String anesthesiaName;
    /**
     * 手术过程
     */
    @ApiModelProperty(hidden = false, value = "手术过程")
    private String operationProcess;
    /**
     * 手术切口类别代码CV05.10.022
     */
    @ApiModelProperty(hidden = false, value = "手术切口类别代码CV05.10.022")
    private String incisionTypeCode;
    /**
     * 手术切口类别名称
     */
    @ApiModelProperty(hidden = false, value = "手术切口类别名称")
    private String incisionTypeName;
    /**
     * 手术切口愈合等级代码CV05.10.023
     */
    @ApiModelProperty(hidden = false, value = "手术切口愈合等级代码CV05.10.023")
    private String incisionHealCode;
    /**
     * 手术切口愈合等级
     */
    @ApiModelProperty(hidden = false, value = "手术切口愈合等级")
    private String incisionHealName;
    /**
     * 治则治法GB/T16751.3-1997
     */
    @ApiModelProperty(hidden = false, value = "治则治法GB/T16751.3-1997")
    private String therapeuticPrinc;
    /**
     * 中药煎煮方法
     */
    @ApiModelProperty(hidden = false, value = "中药煎煮方法")
    private String tcmDecoctMethod;
    /**
     * 中药用药方法
     */
    @ApiModelProperty(hidden = false, value = "中药用药方法")
    private String tcmUsage;
    /**
     * 诊疗过程描述
     */
    @ApiModelProperty(hidden = false, value = "诊疗过程描述")
    private String treatRescueDesc;
    /**
     * 出院情况
     */
    @ApiModelProperty(hidden = false, value = "出院情况")
    private String outStatus;
    /**
     * 出院时症状与特征
     */
    @ApiModelProperty(hidden = false, value = "出院时症状与特征")
    private String dischSymptonSign;
    /**
     * 出院医嘱
     */
    @ApiModelProperty(hidden = false, value = "出院医嘱")
    private Date adviceTime;
    /**
     * 病情转归代码CV05.10.010
     */
    @ApiModelProperty(hidden = false, value = "病情转归代码CV05.10.010")
    private String lapseCode;
    /**
     * 病情转归名称
     */
    @ApiModelProperty(hidden = false, value = "病情转归名称")
    private String lapseName;
    /**
     * 住院医师编码
     */
    @ApiModelProperty(hidden = false, value = "住院医师编码")
    private Long chiefDoctorId;
    /**
     * 住院医师签名
     */
    @ApiModelProperty(hidden = false, value = "住院医师签名")
    private String chiefDoctorName;
    /**
     * 上级医师编码
     */
    @ApiModelProperty(hidden = false, value = "上级医师编码")
    private Long superiorDoctorId;
    /**
     * 上级医师签名
     */
    @ApiModelProperty(hidden = false, value = "上级医师签名")
    private String superiorDoctorName;
    /**
     * 签名日期时间
     */
    @ApiModelProperty(hidden = false, value = "签名日期时间")
    private Date signDtime;
    /**
     * 出院日期时间
     */
    @ApiModelProperty(hidden = false, value = "出院日期时间")
    private Date outDtime;
    /**
     * 实际住院天数
     */
    @ApiModelProperty(hidden = false, value = "实际住院天数")
    private String actualInDays;
    /**
     * 阳性辅助检查结果
     */
    @ApiModelProperty(hidden = false, value = "阳性辅助检查结果")
    private String auxilPositResult;
    /**
     * 中医四诊观察结果
     */
    @ApiModelProperty(hidden = false, value = "中医四诊观察结果")
    private String tcmObserve;
    /**
     * 机构编码
     */
    @ApiModelProperty(hidden = false, value = "机构编码")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(hidden = false, value = "机构名称")
    private String orgName;
    /**
     * 录入时间
     */
    @ApiModelProperty(hidden = false, value = "录入时间")
    private Date createTime;
    /**
     * 录入人编号
     */
    @ApiModelProperty(hidden = false, value = "录入人编号")
    private Long creatorId;
    /**
     * 录入人名称
     */
    @ApiModelProperty(hidden = false, value = "录入人名称")
    private String creator;
    /**
     * 最后修改时间
     */
    @ApiModelProperty(hidden = false, value = "最后修改时间")
    private Date modifiedTime;
    /**
     * 最后修改人编号
     */
    @ApiModelProperty(hidden = false, value = "最后修改人编号")
    private Long modifierId;
    /**
     * 最后修改人名称
     */
    @ApiModelProperty(hidden = false, value = "最后修改人名称")
    private String modifier;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
