package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压-医生画像-医生信息
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_doctor")
public class HphyDoctor extends Model<HphyDoctor> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private String id;
    /**
     * 姓名
     */
    @ApiModelProperty(hidden = false, value = "姓名")
    private String name;
    /**
     * 科室
     */
    @ApiModelProperty(hidden = false, value = "科室")
    private String dept;
    /**
     * 职称
     */
    @ApiModelProperty(hidden = false, value = "职称")
    private String title;
    /**
     * 医院名字
     */
    @ApiModelProperty(hidden = false, value = "医院名字")
    private String hospName;

    private String hospAddress;
    /**
     * 医院地址-市
     */
    @ApiModelProperty(hidden = false, value = "医院地址-市")
    private String hospCity;
    /**
     * 医院地址-县
     */
    @ApiModelProperty(hidden = false, value = "医院地址-县")
    private String hospDistrict;
    /**
     * 性别
     */
    @ApiModelProperty(hidden = false, value = "性别")
    private String gender;
    /**
     * 医院级别
     */
    @ApiModelProperty(hidden = false, value = "医院级别")
    private String hospLevel;
    /**
     * 医院等级
     */
    @ApiModelProperty(hidden = false, value = "医院等级")
    private String hospGrade;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String ageGroup;
    /**
     * 擅长
     */
    @ApiModelProperty(hidden = false, value = "擅长")
    private String goodAt;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;
    /**
     * 年接诊量
     */
    @ApiModelProperty(hidden = true, value = "年接诊量")
    private Integer yearConsultationCount;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private String tag;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private String workPlan;
    /**
     * 数据校验批号(时间戳)
     */
    @ApiModelProperty(hidden = true, value = "数据校验批号(时间戳)")
    private String dcsBatchNo;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
