package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压-医生画像-统计信息
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_doctor_data_statistics")
public class HphyDoctorDataStatistics extends Model<HphyDoctorDataStatistics> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 疾病id
     */
    @ApiModelProperty(hidden = false, value = "疾病id")
    private Long diseaseId;
    /**
     * 疾病分类
     */
    @ApiModelProperty(hidden = false, value = "疾病分类")
    private String diseaseName;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = false, value = "医生id")
    private Long doctorId;
    /**
     * 聚合分类
     */
    @ApiModelProperty(hidden = false, value = "聚合分类")
    private String groupType;
    /**
     * 统计类型code
     */
    @ApiModelProperty(hidden = false, value = "统计类型code")
    private String typeCode;
    /**
     * 统计类型name
     */
    @ApiModelProperty(hidden = false, value = "统计类型name")
    private String typeName;
    /**
     * 统计name
     */
    @ApiModelProperty(hidden = false, value = "统计name")
    private String name;
    /**
     * 统计code
     */
    @ApiModelProperty(hidden = false, value = "统计code")
    private String code;
    /**
     * 统计值
     */
    @ApiModelProperty(hidden = false, value = "统计值")
    private String value;
    /**
     * 辅助字段
     */
    @ApiModelProperty(hidden = false, value = "辅助字段")
    private String tag;
    /**
     * icon
     */
    @ApiModelProperty(hidden = false, value = "icon")
    private String icon;
    /**
     * 排序
     */
    @ApiModelProperty(hidden = false, value = "排序")
    private Integer sort;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
