package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 导医推荐记录
 *
 * @author F_xh
 * @date 2021-01-04 13:52:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_guide_match")
public class HphyGuideMatch extends Model<HphyGuideMatch> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    /**
     * 患者id
     */
    @ApiModelProperty(hidden = false, value = "患者id")
    private Long patientId;
    /**
     * 患者name
     */
    @ApiModelProperty(hidden = false, value = "患者name")
    private String patientName;
    /**
     * 导医id
     */
    @ApiModelProperty(hidden = false, value = "导医id")
    private Long guideId;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = false, value = "医院id")
    private String hospId;
    /**
     * 医院name
     */
    @ApiModelProperty(hidden = false, value = "医院name")
    private String hospName;
    /**
     * 科室id
     */
    @ApiModelProperty(hidden = false, value = "科室id")
    private String deptId;
    /**
     * 科室name
     */
    @ApiModelProperty(hidden = false, value = "科室name")
    private String deptName;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = false, value = "医生id")
    private String doctorId;
    /**
     * 医生name
     */
    @ApiModelProperty(hidden = false, value = "医生name")
    private String doctorName;
    /**
     * 匹配度(%)
     */
    @ApiModelProperty(hidden = false, value = "匹配度(%)")
    private String matchScore;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "创建时间")
    private Date createTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
