package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 问卷题目
 *
 * @author F_xh
 * @date 2020-09-30 16:14:06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_guide_question")
public class HphyGuideQuestion extends Model<HphyGuideQuestion> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;

    /**
     * 上一题id
     */
    private Long prevId;
    /**
     * parentId
     */
    private Long parentId;
    /**
     * 原始题目id
     */
    private Long questionId;
    /**
     * 导医id
     */
    @ApiModelProperty(hidden = false, value = "导医id")
    private Long guideId;
    /**
     * 题目
     */
    @ApiModelProperty(hidden = false, value = "题目")
    private String title;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "创建时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;
    private String tag;


    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
