package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 问卷答案
 *
 * @author F_xh
 * @date 2020-09-30 16:14:06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_guide_question_option")
public class HphyGuideQuestionOption extends Model<HphyGuideQuestionOption> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    /**
     * 题目id
     */
    @ApiModelProperty(hidden = false, value = "题目id")
    private Long guideQuestionId;
    /**
     * 选项
     */
    @ApiModelProperty(hidden = false, value = "选项")
    private String title;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "创建时间")
    private Date createTime;
    private String tag;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
