package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压-患者-导医记录
 *
 * @author F_xh
 * @date 2020-09-30 14:47:53
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_guide_record")
public class HphyGuideRecord extends Model<HphyGuideRecord> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 患者id
     */
    @ApiModelProperty(value = "患者id")
    private Long patientId;
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String patientName;

    @ApiModelProperty(value = "用药情况")
    private String drugStatus;

    @ApiModelProperty(value = "收缩压")
    private String sbp;

    @ApiModelProperty(value = "舒张压")
    private String dbp;

    @ApiModelProperty(value = "并发症")
    private String symptom;

    @ApiModelProperty(value = "妊娠")
    private String isGestation;

    @ApiModelProperty(value = "是否确诊")
    private String isDefinite;

    private String disease;

    private String age;

    private String riskLevel;
    /**
     * python 程序导医结果
     */
    private String pyResult;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;
    
    /**
     * 健海AI语音推送id
     */
    @ApiModelProperty(value = "健海AI语音推送id")
    private String jhTaskId;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
