package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者基本信息
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_base")
public class HphyPatientBase extends Model<HphyPatientBase> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private Long id;

    private Long userId;

    @ApiModelProperty(value = "微信openid")
    private String openId;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String patientId;
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    @TableField(value = "`name`")
    private String name;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String gender;
    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private String age;
    /**
     * 学历
     */
    @ApiModelProperty(value = "学历")
    private String education;
    /**
     * 现住址
     */
    @ApiModelProperty(value = "现住址")
    private String currentAddress;
    /**
     * 婚姻状况
     */
    @ApiModelProperty(value = "婚姻状况")
    private String marriageStatus;
    /**
     * 平均住院天数
     */
    @ApiModelProperty(value = "平均住院天数")
    private String avgHospitalizedDays;
    /**
     * 保险
     */
    @ApiModelProperty(value = "保险")
    private String insuranceType;
    /**
     * 民族
     */
    @ApiModelProperty(value = "民族")
    private String nation;
    /**
     * 血型
     */
    @ApiModelProperty(value = "血型")
    private String bloodType;
    /**
     * 户籍地址
     */
    @ApiModelProperty(value = "户籍地址")
    private String residentAddress;
    /**
     * 血腥
     */
    @ApiModelProperty(value = "")
    private String occupation;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "身份证号")
    private String certId;
    @ApiModelProperty(value = "特殊病种")
    private String disease;
    @ApiModelProperty(value = "特殊情况")
    @TableField("`condition`")
    private String condition;
    @ApiModelProperty(hidden = true, value = "来源：0-默认 1-注册")
    private Byte tag;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "卡号")
    private String mediCardId;

    @ApiModelProperty(value = "卡类型")
    private String mediCardType;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    private String familyDocHos;

    @ApiModelProperty("实名状态：0.未实名 1.已实名")
    private String verifyStatus;

    @TableField(exist = false)
    private String randomCode;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
