package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者诊断
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_diag")
public class HphyPatientDiag extends Model<HphyPatientDiag> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    /**
     * 诊断id
     */
    @ApiModelProperty(hidden = false, value = "诊断id")
    private String diagId;
    /**
     * 疾病id
     */
    @ApiModelProperty(hidden = false, value = "疾病id")
    private Long diseaseId;
    /**
     * 疾病名称
     */
    @ApiModelProperty(hidden = false, value = "疾病名称")
    private String diseaseName;
    /**
     * 医生Vid
     */
    @ApiModelProperty(hidden = false, value = "医生Vid")
    private Long doctorVId;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = false, value = "医生id")
    private Long doctorId;
    /**
     * 医生name
     */
    @ApiModelProperty(hidden = false, value = "医生name")
    private String doctorName;
    /**
     * 患者vid
     */
    @ApiModelProperty(hidden = false, value = "患者vid")
    private String patientVId;
    /**
     * 患者id
     */
    @ApiModelProperty(hidden = false, value = "患者id")
    private Long patientId;
    /**
     * 患者name
     */
    @ApiModelProperty(hidden = false, value = "患者name")
    private String patientName;
    /**
     * 症状
     */
    @ApiModelProperty(hidden = false, value = "症状")
    private String symptom;
    /**
     * 满意度
     */
    @ApiModelProperty(hidden = false, value = "满意度")
    private String staisfaction;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;
    /**
     * 数据校验批号(时间戳)
     */
    @ApiModelProperty(hidden = true, value = "数据校验批号(时间戳)")
    private String dcsBatchNo;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
