package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

/**
 * 患者药品数据
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_drug")
public class HphyPatientDrug extends Model<HphyPatientDrug> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String diagVId;
    /**
     * 诊断id
     */
    @ApiModelProperty(hidden = false, value = "诊断id")
    private Long diagId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String patientVId;
    /**
     * 患者id
     */
    @ApiModelProperty(hidden = false, value = "患者id")
    private Long patientId;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String patientName;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = false, value = "医生id")
    private Long doctorId;
    /**
     * 医生姓名
     */
    @ApiModelProperty(hidden = false, value = "医生姓名")
    private String doctorName;
    /**
     * 项目id
     */
    @ApiModelProperty(hidden = false, value = "项目id")
    private Long itemId;
    /**
     * 项目名称
     */
    @ApiModelProperty(hidden = false, value = "项目名称")
    private String itemName;
    /**
     * 单价
     */
    @ApiModelProperty(hidden = false, value = "单价")
    private BigDecimal price;
    /**
     * 数量
     */
    @ApiModelProperty(hidden = false, value = "数量")
    private Integer count;
    /**
     * 总金额
     */
    @ApiModelProperty(hidden = false, value = "总金额")
    private BigDecimal amount;
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "更新时间")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
