package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压患者随访表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_follow_info")
public class HphyPatientFollowInfo extends Model<HphyPatientFollowInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 信息唯一编码
     */
    @ApiModelProperty(hidden = false, value = "信息唯一编码")
    private String code;
    /**
     * 人员编码
     */
    @ApiModelProperty(hidden = false, value = "人员编码")
    private String userCode;
    /**
     * 外键
     */
    @ApiModelProperty(hidden = false, value = "外键")
    private String foreignKey;
    /**
     * 个人健康档案编码
     */
    @ApiModelProperty(hidden = false, value = "个人健康档案编码")
    private String personalHealthRecordNo;
    /**
     * 高血压专案编号（唯一标识）
     */
    @ApiModelProperty(hidden = false, value = "高血压专案编号（唯一标识）")
    private String hypertensionProjectNo;
    /**
     * 高血压随访编号（唯一标识）
     */
    @ApiModelProperty(hidden = false, value = "高血压随访编号（唯一标识）")
    private String hypertensionFollowNo;
    /**
     * 随访日期
     */
    @ApiModelProperty(hidden = false, value = "随访日期")
    private String visitDate;
    /**
     * 随访方式编号
     */
    @ApiModelProperty(hidden = false, value = "随访方式编号")
    private String followMethodNo;
    /**
     * 症状编码
     */
    @ApiModelProperty(hidden = false, value = "症状编码")
    private String symptomCode;
    /**
     * 症状-其他
     */
    @ApiModelProperty(hidden = false, value = "症状-其他")
    private String symptomsExt;
    /**
     * 血压-收缩压
     */
    @ApiModelProperty(hidden = false, value = "血压-收缩压")
    private String systolicBloodPressure;
    /**
     * 血压-扩张压
     */
    @ApiModelProperty(hidden = false, value = "血压-扩张压")
    private String diastolicBloodPressure;
    /**
     * 身高
     */
    @ApiModelProperty(hidden = false, value = "身高")
    private String vcWxyssg;
    /**
     * 体重
     */
    @ApiModelProperty(hidden = false, value = "体重")
    private String vcWxystz;
    /**
     * 体重-目标值
     */
    @ApiModelProperty(hidden = false, value = "体重-目标值")
    private String targetWeight;
    /**
     * 体质指数
     */
    @ApiModelProperty(hidden = false, value = "体质指数")
    private String bmi;
    /**
     * 体质指数-目标值
     */
    @ApiModelProperty(hidden = false, value = "体质指数-目标值")
    private String targetBodyMassIndex;
    /**
     * 心率
     */
    @ApiModelProperty(hidden = false, value = "心率")
    private String heartRate;
    /**
     * 体征-其他
     */
    @ApiModelProperty(hidden = false, value = "体征-其他")
    private String signsExt;
    /**
     * 日吸烟量
     */
    @ApiModelProperty(hidden = false, value = "日吸烟量")
    private String dailySmoking;
    /**
     * 日吸烟量-控制目标
     */
    @ApiModelProperty(hidden = false, value = "日吸烟量-控制目标")
    private String targetDailySmokingVolume;
    /**
     * 日饮酒量
     */
    @ApiModelProperty(hidden = false, value = "日饮酒量")
    private String dailyDrinkingVolume;
    /**
     * 日饮酒量-控制目标
     */
    @ApiModelProperty(hidden = false, value = "日饮酒量-控制目标")
    private String targetDailyDrinkingVolume;
    /**
     * 每周运动次数
     */
    @ApiModelProperty(hidden = false, value = "每周运动次数")
    private String weeklyExerciseCount;
    /**
     * 每天运动时间
     */
    @ApiModelProperty(hidden = false, value = "每天运动时间")
    private String dailyExerciseTime;
    /**
     * 每周运动次数-建议值
     */
    @ApiModelProperty(hidden = false, value = "每周运动次数-建议值")
    private String weeklyExercisesRecommendedValue;
    /**
     * 每天运动时间-建议值
     */
    @ApiModelProperty(hidden = false, value = "每天运动时间-建议值")
    private String dailyExerciseTimeRecommendedValue;
    /**
     * 摄盐情况编码
     */
    @ApiModelProperty(hidden = false, value = "摄盐情况编码")
    private String saltIntakeCode;
    /**
     * 摄盐情况编码-建议值
     */
    @ApiModelProperty(hidden = false, value = "摄盐情况编码-建议值")
    private String saltIntakeCodeRecommendedValue;
    /**
     * 摄盐情况名称-建议值
     */
    @ApiModelProperty(hidden = false, value = "摄盐情况名称-建议值")
    private String saltIntakeRecommendedValue;
    /**
     * 心理调整编码
     */
    @ApiModelProperty(hidden = false, value = "心理调整编码")
    private String psychologicalAdjustmentCode;
    /**
     * 遵医行为编码
     */
    @ApiModelProperty(hidden = false, value = "遵医行为编码")
    private String complianceCode;
    /**
     * 辅助检查
     */
    @ApiModelProperty(hidden = false, value = "辅助检查")
    private String assistExamResult;
    /**
     * 服药依从性编码
     */
    @ApiModelProperty(hidden = false, value = "服药依从性编码")
    private String medicationComplianceCode;
    /**
     * 药物不良反应状态编码
     */
    @ApiModelProperty(hidden = false, value = "药物不良反应状态编码")
    private String drugAdverseReactionStatusCode;
    /**
     * 药物不良反应
     */
    @ApiModelProperty(hidden = false, value = "药物不良反应")
    private String drugAdverseReact;
    /**
     * 此次随访分类编码
     */
    @ApiModelProperty(hidden = false, value = "此次随访分类编码")
    private String followNo;
    /**
     * 转诊原因
     */
    @ApiModelProperty(hidden = false, value = "转诊原因")
    private String referralReason;
    /**
     * 转诊机构及科别
     */
    @ApiModelProperty(hidden = false, value = "转诊机构及科别")
    private String transferDepart;
    /**
     * 下次随访日期
     */
    @ApiModelProperty(hidden = false, value = "下次随访日期")
    private String visitNextDate;
    /**
     * 随访医生编号
     */
    @ApiModelProperty(hidden = false, value = "随访医生编号")
    private String followupDoctorCode;
    /**
     * 随访医生姓名
     */
    @ApiModelProperty(hidden = false, value = "随访医生姓名")
    private String follwoDoctorName;
    /**
     * 随访机构编码
     */
    @ApiModelProperty(hidden = false, value = "随访机构编码")
    private String followOrgCode;
    /**
     * 随访机构名称
     */
    @ApiModelProperty(hidden = false, value = "随访机构名称")
    private String followOrgName;
    /**
     * 登记时间（系统）
     */
    @ApiModelProperty(hidden = false, value = "登记时间（系统）")
    private String registrationTime;
    /**
     * 登记人员编码
     */
    @ApiModelProperty(hidden = false, value = "登记人员编码")
    private String registrationUserCode;
    /**
     * 登记人员名称
     */
    @ApiModelProperty(hidden = false, value = "登记人员名称")
    private String registrationUserName;
    /**
     * 登记机构编码
     */
    @ApiModelProperty(hidden = false, value = "登记机构编码")
    private String recordOrgCode;
    /**
     * 登记机构名称
     */
    @ApiModelProperty(hidden = false, value = "登记机构名称")
    private String recordOrgName;
    /**
     * 上报单位
     */
    @ApiModelProperty(hidden = false, value = "上报单位")
    private String reportOrg;
    /**
     * 上报时间
     */
    @ApiModelProperty(hidden = false, value = "上报时间")
    private String reportTime;
    /**
     * 修改单位
     */
    @ApiModelProperty(hidden = false, value = "修改单位")
    private String updateOrg;
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = false, value = "修改时间")
    private String updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
