package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压-患者洞察
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_insight")
public class HphyPatientInsight extends Model<HphyPatientInsight> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 姓名
     */
    @ApiModelProperty(hidden = false, value = "姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty(hidden = false, value = "身份证号")
    private String idNo;
    /**
     * 保险类型
     */
    @ApiModelProperty(hidden = false, value = "保险类型")
    private String insuranceType;
    /**
     * 性别
     */
    @ApiModelProperty(hidden = false, value = "性别")
    private String gender;
    /**
     * 年龄
     */
    @ApiModelProperty(hidden = false, value = "年龄")
    private String age;
    /**
     * 民族
     */
    @ApiModelProperty(hidden = false, value = "民族")
    private String nation;
    /**
     * 学历
     */
    @ApiModelProperty(hidden = false, value = "学历")
    private String education;
    /**
     * 血型
     */
    @ApiModelProperty(hidden = false, value = "血型")
    private String bloodType;
    /**
     * 户籍地址_市
     */
    @ApiModelProperty(hidden = false, value = "户籍地址_市")
    private String householdCity;
    /**
     * 户籍地址_县（区）
     */
    @ApiModelProperty(hidden = false, value = "户籍地址_县（区）")
    private String householdDistrict;
    /**
     * 现住地址_市
     */
    @ApiModelProperty(hidden = false, value = "现住地址_市")
    private String currentCity;
    /**
     * 现住地址_县（区）
     */
    @ApiModelProperty(hidden = false, value = "现住地址_县（区）")
    private String currentDistrict;
    /**
     * 现住地址_街道
     */
    @ApiModelProperty(hidden = false, value = "现住地址_街道")
    private String currentStreet;
    /**
     * 随访日期
     */
    @ApiModelProperty(hidden = false, value = "随访日期")
    private String followDate;
    /**
     * 心理状况
     */
    @ApiModelProperty(hidden = false, value = "心理状况")
    private String mentalStatus;
    /**
     * 遵医行为
     */
    @ApiModelProperty(hidden = false, value = "遵医行为")
    private String complianceBehavior;
    /**
     * 服药依从性
     */
    @ApiModelProperty(hidden = false, value = "服药依从性")
    private String medicationCompliance;
    /**
     * 药物不良反应
     */
    @ApiModelProperty(hidden = false, value = "药物不良反应")
    private String medicationSideEffect;
    /**
     * 平均每天吸烟情况（支/天）
     */
    @ApiModelProperty(hidden = false, value = "平均每天吸烟情况（支/天）")
    private String dailySmokingStatus;
    /**
     * 平均每天饮酒状况（g/天）
     */
    @ApiModelProperty(hidden = false, value = "平均每天饮酒状况（g/天）")
    private String dailyDrinkingStatus;
    /**
     * 运动状况
     */
    @ApiModelProperty(hidden = false, value = "运动状况")
    private String exerciseStatus;
    /**
     * 摄盐情况
     */
    @ApiModelProperty(hidden = false, value = "摄盐情况")
    private String saltIntake;
    /**
     * 当前高血压症状
     */
    @ApiModelProperty(hidden = false, value = "当前高血压症状")
    private String currentHypertensionSymptom;
    /**
     * 意向医院
     */
    @ApiModelProperty(hidden = false, value = "意向医院")
    private String intentionHospital;
    /**
     * 意向医生
     */
    @ApiModelProperty(hidden = false, value = "意向医生")
    private String intentionDoctor;
    /**
     * 主要选择医生的因素
     */
    @ApiModelProperty(hidden = false, value = "主要选择医生的因素")
    private String hoosingDoctorMainFactor;
    /**
     * 身高
     */
    @ApiModelProperty(hidden = false, value = "身高")
    private String height;
    /**
     * 体重变化趋势
     */
    @ApiModelProperty(hidden = false, value = "体重变化趋势")
    private String weightTrend;
    /**
     * BMI指数变化趋势
     */
    @ApiModelProperty(hidden = false, value = "BMI指数变化趋势")
    private String bmiTrend;
    /**
     * 收缩压变化趋势
     */
    @ApiModelProperty(hidden = false, value = "收缩压变化趋势")
    private String sbpTrend;
    /**
     * 舒张压变化趋势
     */
    @ApiModelProperty(hidden = false, value = "舒张压变化趋势")
    private String dbpTrend;
    /**
     * 心率变化趋势
     */
    @ApiModelProperty(hidden = false, value = "心率变化趋势")
    private String heartRateTrend;
    /**
     * 检查_血管是否痉挛
     */
    @ApiModelProperty(hidden = false, value = "检查_血管是否痉挛")
    private String inspBloodVesselsCramped;
    /**
     * 检查_供血是否不足
     */
    @ApiModelProperty(hidden = false, value = "检查_供血是否不足")
    private String inspInsufficientBloodSupply;
    /**
     * 检查_血管是否狭窄
     */
    @ApiModelProperty(hidden = false, value = "检查_血管是否狭窄")
    private String inspBloodVesselNarrow;
    /**
     * 检查_血管是否硬化
     */
    @ApiModelProperty(hidden = false, value = "检查_血管是否硬化")
    private String inspBloodVesselHardened;
    /**
     * 检查_血流速度是否异常
     */
    @ApiModelProperty(hidden = false, value = "检查_血流速度是否异常")
    private String inspBloodFlowVelocityAbnormal;
    /**
     * 检验_β2微球蛋白测定_结果（超出上限百分比）
     */
    @ApiModelProperty(hidden = false, value = "检验_β2微球蛋白测定_结果（超出上限百分比）")
    private String labMicroDetermination;
    /**
     * 检验_钙测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_钙测定_结果")
    private String labCalciumDetermination;
    /**
     * 检验_肌酐测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_肌酐测定_结果")
    private String labCreatinineDetermination;
    /**
     * 检验_钾测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_钾测定_结果")
    private String labPotassiumDetermination;
    /**
     * 检验_氯测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_氯测定_结果")
    private String labChlorineDetermination;
    /**
     * 检验_钠测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_钠测定_结果")
    private String labSodiumDetermination;
    /**
     * 检验_尿素测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_尿素测定_结果")
    private String labUreaDetermination;
    /**
     * 检验_葡萄糖测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_葡萄糖测定_结果")
    private String labGlucoseDetermination;
    /**
     * 检验_无机磷测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_无机磷测定_结果")
    private String labInorganicPhosphorusDetermination;
    /**
     * 检验_血清γ-谷氨酰基转移酶测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清γ-谷氨酰基转移酶测定_结果")
    private String labSerumGlutamyltransferasesDetermination;
    /**
     * 检验_血清白蛋白测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清白蛋白测定_结果")
    private String labSerumAlbuminDetermination;
    /**
     * 检验_血清丙氨酸氨基转移酶测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清丙氨酸氨基转移酶测定_结果")
    private String labSerumAlanineAminotransferases;
    /**
     * 检验_血清低密度脂蛋白胆固醇测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清低密度脂蛋白胆固醇测定_结果")
    private String labSerumLowDensityLipoproteinCholesterols;
    /**
     * 检验_血清高密度脂蛋白胆固醇测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清高密度脂蛋白胆固醇测定_结果")
    private String labSerumHdlCholesterols;
    /**
     * 检验_血清甘油三酯测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清甘油三酯测定_结果")
    private String labSerumTriglyceridess;
    /**
     * 检验_血清碱性磷酸酶测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清碱性磷酸酶测定_结果")
    private String labSerumAlkalinePhosphatases;
    /**
     * 检验_血清尿酸测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清尿酸测定_结果")
    private String labSerumUricAcids;
    /**
     * 检验_血清碳酸氢盐(HCO3)测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清碳酸氢盐(HCO3)测定_结果")
    private String labSerumBicarbonate;
    /**
     * 检验_血清天门冬氨酸氨基转移酶测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清天门冬氨酸氨基转移酶测定_结果")
    private String labSerumAspartateAminotransferases;
    /**
     * 检验_血清直接胆红素测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清直接胆红素测定_结果")
    private String labSerumDirectBilirubins;
    /**
     * 检验_血清总胆固醇测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清总胆固醇测定_结果")
    private String labSerumTotalCholesterols;
    /**
     * 检验_血清总蛋白测定_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血清总蛋白测定_结果")
    private String labSerumTotalProteins;
    /**
     * 检验_红细胞_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_红细胞_结果")
    private String labRedBloodCells;
    /**
     * 检验_血红蛋白_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_血红蛋白_结果")
    private String labHemoglobin;
    /**
     * 检验_红细胞压积_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_红细胞压积_结果")
    private String labHematocrit;
    /**
     * 检验_红细胞平均压积体积_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_红细胞平均压积体积_结果")
    private String labMeanHematocritVolume;
    /**
     * 检验_平均红细胞血红蛋白含量_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_平均红细胞血红蛋白含量_结果")
    private String labAvgErythrocyteHemoglobinContent;
    /**
     * 检验_平均红细胞血红蛋白浓度_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_平均红细胞血红蛋白浓度_结果")
    private String labAvgErythrocyteHemoglobinConcentration;
    /**
     * 检验_红细胞平均直径_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_红细胞平均直径_结果")
    private String labRedBloodCellAvgDiameter;
    /**
     * 检验_红细胞体积分布密度_结果
     */
    @ApiModelProperty(hidden = false, value = "检验_红细胞体积分布密度_结果")
    private String labRedBloodCellVolumeDistributionDensity;
    /**
     * 检验_白细胞计数
     */
    @ApiModelProperty(hidden = false, value = "检验_白细胞计数")
    private String labWhiteBloodCellCount;
    /**
     * 尿分析_酸碱度_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_酸碱度_结果")
    private String urinalysisPhs;
    /**
     * 尿分析_蛋白质含量_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_蛋白质含量_结果")
    private String urinalysisProteinContents;
    /**
     * 尿分析_潜血_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_潜血_结果")
    private String urinalysisOccultBloods;
    /**
     * 尿分析_葡萄糖测定_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_葡萄糖测定_结果")
    private String urinalysisGlucoseDeterminations;
    /**
     * 尿分析_酮体_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_酮体_结果")
    private String urinalysisKetoneBodys;
    /**
     * 尿分析_胆红素_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_胆红素_结果")
    private String urinalysisBilirubins;
    /**
     * 尿分析_尿胆原_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_尿胆原_结果")
    private String urinalysisUrinaryGallbladders;
    /**
     * 尿分析_尿胆素_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_尿胆素_结果")
    private String urinalysisUrinaryCholinergics;
    /**
     * 尿分析_亚硝酸盐_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_亚硝酸盐_结果")
    private String urinalysisNitrite;
    /**
     * 尿分析_细菌数_结果
     */
    @ApiModelProperty(hidden = false, value = "尿分析_细菌数_结果")
    private String urinalysisBacteriaCounts;
    /**
     * 诊断日期
     */
    @ApiModelProperty(hidden = false, value = "诊断日期")
    private String diagnosisDate;
    /**
     * 初期疾病分型
     */
    @ApiModelProperty(hidden = false, value = "初期疾病分型")
    private String earlyDiseaseClassification;
    /**
     * 诊断
     */
    @ApiModelProperty(hidden = false, value = "诊断")
    private String diagnosis;
    /**
     * 住院病例分型
     */
    @ApiModelProperty(hidden = false, value = "住院病例分型")
    private String hospitalizatioCaseType;
    /**
     * 住院病例分级
     */
    @ApiModelProperty(hidden = false, value = "住院病例分级")
    private String hospitalizatioCaseLevel;
    /**
     * 住院天数
     */
    @ApiModelProperty(hidden = false, value = "住院天数")
    private String hospitalizatioDays;
    /**
     * 住院病情转归
     */
    @ApiModelProperty(hidden = false, value = "住院病情转归")
    private String inpatientOutcomes;
    /**
     * 手术名称
     */
    @ApiModelProperty(hidden = false, value = "手术名称")
    private String surgeryName;
    /**
     * 手术切口类别
     */
    @ApiModelProperty(hidden = false, value = "手术切口类别")
    private String surgicalIncisionCategory;
    /**
     * 家族史
     */
    @ApiModelProperty(hidden = false, value = "家族史")
    private String familyHistory;
    /**
     * 西药用药
     */
    @ApiModelProperty(hidden = false, value = "西药用药")
    private String wm;
    /**
     * 中药用药
     */
    @ApiModelProperty(hidden = false, value = "中药用药")
    private String tcm;
    /**
     * 给药途径
     */
    @ApiModelProperty(hidden = false, value = "给药途径")
    private String drugRoute;
    /**
     * 用药频次
     */
    @ApiModelProperty(hidden = false, value = "用药频次")
    private String medicationFrequency;
    /**
     * 付费方式
     */
    @ApiModelProperty(hidden = false, value = "付费方式")
    private String paymentMethod;
    /**
     * 平均单次住院费用
     */
    @ApiModelProperty(hidden = false, value = "平均单次住院费用")
    private String avgSingleHospitalizationCost;
    /**
     * 平均单次门急诊费用
     */
    @ApiModelProperty(hidden = false, value = "平均单次门急诊费用")
    private String avgSingleOutpatientErmCost;
    /**
     * 平均单次门诊个人花费
     */
    @ApiModelProperty(hidden = false, value = "平均单次门诊个人花费")
    private String avgSingleOutpatientSelfCost;
    /**
     * 平均单次住院个人花费
     */
    @ApiModelProperty(hidden = false, value = "平均单次住院个人花费")
    private String avgSingleHospitalizationSelfCost;
    /**
     * 平均单次西药药品费用
     */
    @ApiModelProperty(hidden = false, value = "平均单次西药药品费用")
    private String avgSingleWmCost;
    /**
     * 平均单次中药药品费用
     */
    @ApiModelProperty(hidden = false, value = "平均单次中药药品费用")
    private String avgSingleTcmCost;
    /**
     * 就诊医院级别偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊医院级别偏好")
    private String hospitalLevelPreference;
    /**
     * 就诊医院等级偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊医院等级偏好")
    private String hospitalGradePreference;
    /**
     * 就诊医疗机构偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊医疗机构偏好")
    private String medicalInstitutionPreference;
    /**
     * 就诊医院距离偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊医院距离偏好")
    private String hospitalDistancePreference;
    /**
     * 就诊科室偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊科室偏好")
    private String medicalDeptPreference;
    /**
     * 就诊西医科室偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊西医科室偏好")
    private String wmDeptPreference;
    /**
     * 就诊中医科室偏好
     */
    @ApiModelProperty(hidden = false, value = "就诊中医科室偏好")
    private String tcmDeptPreference;
    /**
     * 看诊医生职称偏好
     */
    @ApiModelProperty(hidden = false, value = "看诊医生职称偏好")
    private String doctorTitlePreference;
    /**
     * 看诊医生年龄偏好
     */
    @ApiModelProperty(hidden = false, value = "看诊医生年龄偏好")
    private String doctorAgePreference;
    /**
     * 看诊医生性别偏好
     */
    @ApiModelProperty(hidden = false, value = "看诊医生性别偏好")
    private String doctorGenderPreference;
    /**
     * 看诊类型偏好
     */
    @ApiModelProperty(hidden = false, value = "看诊类型偏好")
    private String outpatientTypePreference;
    /**
     * 最近1个月门急诊就诊频次
     */
    @ApiModelProperty(hidden = false, value = "最近1个月门急诊就诊频次")
    private String last1MonthsHospitalizationFrequency;
    /**
     * 最近3个月门急诊就诊频次
     */
    @ApiModelProperty(hidden = false, value = "最近3个月门急诊就诊频次")
    private String last3MonthsHospitalizationFrequency;
    /**
     * 最近6个月门急诊就诊频次
     */
    @ApiModelProperty(hidden = false, value = "最近6个月门急诊就诊频次")
    private String last6MonthsHospitalizationFrequency;
    /**
     * 最近1年门急诊就诊频次
     */
    @ApiModelProperty(hidden = false, value = "最近1年门急诊就诊频次")
    private String last3YearsOutpatientFrequency;
    /**
     * 最近1年住院频次
     */
    @ApiModelProperty(hidden = false, value = "最近1年住院频次")
    private String last1YearsHospitalizationFrequency;
    /**
     * 最近3年住院频次
     */
    @ApiModelProperty(hidden = false, value = "最近3年住院频次")
    private String last3YearsHospitalizationFrequency;
    /**
     * 最近一次住院时间
     */
    @ApiModelProperty(hidden = false, value = "最近一次住院时间")
    private String lastHospitalizationTime;
    /**
     * 最近一次就诊时间
     */
    @ApiModelProperty(hidden = false, value = "最近一次就诊时间")
    private String lastTreatmentTime;
    /**
     * 最近一次检查时间
     */
    @ApiModelProperty(hidden = false, value = "最近一次检查时间")
    private String lastInspTime;
    /**
     * 最近一次检验时间
     */
    @ApiModelProperty(hidden = false, value = "最近一次检验时间")
    private String lastLabTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
