package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 高血压人群管理表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_people_record")
public class HphyPeopleRecord extends Model<HphyPeopleRecord> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 信息唯一编码
     */
    @ApiModelProperty(hidden = false, value = "信息唯一编码")
    private String code;
    /**
     * 人员编码
     */
    @ApiModelProperty(hidden = false, value = "人员编码")
    private String userCode;
    /**
     * 外键
     */
    @ApiModelProperty(hidden = false, value = "外键")
    private String foreignKey;
    /**
     * 个人健康档案编码
     */
    @ApiModelProperty(hidden = false, value = "个人健康档案编码")
    private String personalHealthRecordNo;
    /**
     * 高血压专案编号（唯一标识）
     */
    @ApiModelProperty(hidden = false, value = "高血压专案编号（唯一标识）")
    private String hypertensionCode;
    /**
     * 血压分级代码
     */
    @ApiModelProperty(hidden = false, value = "血压分级代码")
    private String hypertensionLevelCode;
    /**
     * 确诊日期
     */
    @ApiModelProperty(hidden = false, value = "确诊日期")
    private String confirmDate;
    /**
     * 确诊机构
     */
    @ApiModelProperty(hidden = false, value = "确诊机构")
    private String sureOrg;
    /**
     * 登记医生编号
     */
    @ApiModelProperty(hidden = false, value = "登记医生编号")
    private String registeredDoctorNo;
    /**
     * 登记医生名称
     */
    @ApiModelProperty(hidden = false, value = "登记医生名称")
    private String registeredDoctorName;
    /**
     * 登记日期
     */
    @ApiModelProperty(hidden = false, value = "登记日期")
    private String createDate;
    /**
     * 是否结案
     */
    @ApiModelProperty(hidden = false, value = "是否结案")
    private String caseCloseMark;
    /**
     * 结案原因代码
     */
    @ApiModelProperty(hidden = false, value = "结案原因代码")
    private String caseReasonCode;
    /**
     * 建案日期
     */
    @ApiModelProperty(hidden = false, value = "建案日期")
    private String constructionDate;
    /**
     * 结案日期
     */
    @ApiModelProperty(hidden = false, value = "结案日期")
    private String finalDate;
    /**
     * 管理机构编号
     */
    @ApiModelProperty(hidden = false, value = "管理机构编号")
    private String managementOrgCode;
    /**
     * 管理机构名称
     */
    @ApiModelProperty(hidden = false, value = "管理机构名称")
    private String ehrManageOrgName;
    /**
     * 登记时间（系统）
     */
    @ApiModelProperty(hidden = false, value = "登记时间（系统）")
    private String registrationTime;
    /**
     * 登记人员编码
     */
    @ApiModelProperty(hidden = false, value = "登记人员编码")
    private String registrationUserCode;
    /**
     * 登记人员名称
     */
    @ApiModelProperty(hidden = false, value = "登记人员名称")
    private String registrationUserName;
    /**
     * 登记机构编码
     */
    @ApiModelProperty(hidden = false, value = "登记机构编码")
    private String recordOrgCode;
    /**
     * 登记机构名称
     */
    @ApiModelProperty(hidden = false, value = "登记机构名称")
    private String recordOrgName;
    /**
     * 上报单位
     */
    @ApiModelProperty(hidden = false, value = "上报单位")
    private String reportOrg;
    /**
     * 上报时间
     */
    @ApiModelProperty(hidden = false, value = "上报时间")
    private String reportTime;
    /**
     * 修改单位
     */
    @ApiModelProperty(hidden = false, value = "修改单位")
    private String updateOrg;
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = false, value = "修改时间")
    private String updateTime;
    /**
     * 身高
     */
    @ApiModelProperty(hidden = false, value = "身高")
    private String vcWxyssg;
    /**
     * 体重
     */
    @ApiModelProperty(hidden = false, value = "体重")
    private String vcWxystz;
    /**
     * 体质指数
     */
    @ApiModelProperty(hidden = false, value = "体质指数")
    private String bmi;
    /**
     * 血压舒张压
     */
    @ApiModelProperty(hidden = false, value = "血压舒张压")
    private String diastolicBloodPressure;
    /**
     * 血压收缩压
     */
    @ApiModelProperty(hidden = false, value = "血压收缩压")
    private String systolicBloodPressure;
    /**
     * 是否服药
     */
    @ApiModelProperty(hidden = false, value = "是否服药")
    private String isMedicine;
    /**
     * 其他心脑血管疾病危险因素
     */
    @ApiModelProperty(hidden = false, value = "其他心脑血管疾病危险因素")
    private String cardiovascularCerebrovascularDiseasesRiskExt;
    /**
     * 靶器官损害情况
     */
    @ApiModelProperty(hidden = false, value = "靶器官损害情况")
    private String targetOrganDamage;
    /**
     * 并存的相关疾病
     */
    @ApiModelProperty(hidden = false, value = "并存的相关疾病")
    private String relatedDiseases;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
