package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 专家资源信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_expert_resource_info")
public class HphyWszyExpertResourceInfo extends Model<HphyWszyExpertResourceInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 医生ID
     */
    @ApiModelProperty(hidden = false, value = "医生ID")
    private Long doctorId;
    /**
     * 医生姓名
     */
    @ApiModelProperty(hidden = false, value = "医生姓名")
    private String doctorName;
    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = false, value = "医院ID")
    private Long hospId;
    /**
     * 职称
     */
    @ApiModelProperty(hidden = false, value = "职称")
    private String title;
    /**
     * 照片
     */
    @ApiModelProperty(hidden = false, value = "照片")
    private String photo;
    /**
     * 医生简介
     */
    @ApiModelProperty(hidden = false, value = "医生简介")
    private String doctorIntroduction;
    /**
     * 医生擅长
     */
    @ApiModelProperty(hidden = false, value = "医生擅长")
    private String doctorGoodAt;
    /**
     * HIS医生ID
     */
    @ApiModelProperty(hidden = false, value = "HIS医生ID")
    private Long hisDoctorId;
    /**
     * 平台医生ID
     */
    @ApiModelProperty(hidden = false, value = "平台医生ID")
    private Long platformDoctorId;
    /**
     * 手机号码
     */
    @ApiModelProperty(hidden = false, value = "手机号码")
    private String phone;
    /**
     * 身份证号
     */
    @ApiModelProperty(hidden = false, value = "身份证号")
    private String idNo;
    /**
     * 性别
     */
    @ApiModelProperty(hidden = false, value = "性别")
    private String sexCode;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private String birthday;
    /**
     * 排序号
     */
    @ApiModelProperty(hidden = false, value = "排序号")
    private String sorting;
    /**
     * 状态（0：无效；1：有效）
     */
    @ApiModelProperty(hidden = false, value = "状态（0：无效；1：有效）")
    private String status;
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = false, value = "创建人")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = false, value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(hidden = false, value = "更新人")
    private String updateUserName;
    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = false, value = "更新时间")
    private Date updateTime;
    /**
     * 行政科室ID
     */
    @ApiModelProperty(hidden = false, value = "行政科室ID")
    private Long deptId;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
