package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 住院发药汇总表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_hospitalized_drug_delivery")
public class HphyWszyHospitalizedDrugDelivery extends Model<HphyWszyHospitalizedDrugDelivery> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 机构内部编号
     */
    @ApiModelProperty(hidden = false, value = "机构内部编号")
    private String inteOrgNo;
    /**
     * 药房单据号
     */
    @ApiModelProperty(hidden = false, value = "药房单据号")
    private String pharmacyOrderNo;
    /**
     * 药房科室
     */
    @ApiModelProperty(hidden = false, value = "药房科室")
    private String pharmacyDept;
    /**
     * 序号
     */
    @ApiModelProperty(hidden = false, value = "序号")
    private String serialNo;
    /**
     * 申请时间
     */
    @ApiModelProperty(hidden = false, value = "申请时间")
    private Date applyTime;
    /**
     * 申请科室
     */
    @ApiModelProperty(hidden = false, value = "申请科室")
    private String applyDept;
    /**
     * 病人档案号
     */
    @ApiModelProperty(hidden = false, value = "病人档案号")
    private String patientProfileNo;
    /**
     * 本次住院标识
     */
    @ApiModelProperty(hidden = false, value = "本次住院标识")
    private String hospitalizationCode;
    /**
     * 床号
     */
    @ApiModelProperty(hidden = false, value = "床号")
    private String bedNo;
    /**
     * 医嘱组号
     */
    @ApiModelProperty(hidden = false, value = "医嘱组号")
    private String doctorOrderGroup;
    /**
     * 医嘱子序号
     */
    @ApiModelProperty(hidden = false, value = "医嘱子序号")
    private String doctorOrderNo;
    /**
     * 执行时间点
     */
    @ApiModelProperty(hidden = false, value = "执行时间点")
    private Date execTime;
    /**
     * 药品编码
     */
    @ApiModelProperty(hidden = false, value = "药品编码")
    private String medicineCode;
    /**
     * 药品名称
     */
    @ApiModelProperty(hidden = false, value = "药品名称")
    private String medicineName;
    /**
     * 药品规格
     */
    @ApiModelProperty(hidden = false, value = "药品规格")
    private String medicineSpec;
    /**
     * 单位
     */
    @ApiModelProperty(hidden = false, value = "单位")
    private String unit;
    /**
     * 数量
     */
    @ApiModelProperty(hidden = false, value = "数量")
    private String quantity;
    /**
     * 生产厂家
     */
    @ApiModelProperty(hidden = false, value = "生产厂家")
    private String manufacturer;
    /**
     * 批号
     */
    @ApiModelProperty(hidden = false, value = "批号")
    private String batchNo;
    /**
     * 费用
     */
    @ApiModelProperty(hidden = false, value = "费用")
    private String cost;
    /**
     * 计价费用
     */
    @ApiModelProperty(hidden = false, value = "计价费用")
    private String valuationFee;
    /**
     * 发药单号
     */
    @ApiModelProperty(hidden = false, value = "发药单号")
    private String deliveryOrderNo;
    /**
     * 发药药房
     */
    @ApiModelProperty(hidden = false, value = "发药药房")
    private String deliveryPharmacy;
    /**
     * 费用明细序号
     */
    @ApiModelProperty(hidden = false, value = "费用明细序号")
    private String expenseDetailNo;
    /**
     * 状态
     */
    @ApiModelProperty(hidden = false, value = "状态")
    private String status;
    /**
     * 一次用量
     */
    @ApiModelProperty(hidden = false, value = "一次用量")
    private String oneTimeDosage;
    /**
     * 剂量单位
     */
    @ApiModelProperty(hidden = false, value = "剂量单位")
    private String dosageUnit;
    /**
     * 用药方法
     */
    @ApiModelProperty(hidden = false, value = "用药方法")
    private String medicationMethod;
    /**
     * 频次
     */
    @ApiModelProperty(hidden = false, value = "频次")
    private String frequency;
    /**
     * 滴数
     */
    @ApiModelProperty(hidden = false, value = "滴数")
    private String dropsCount;
    /**
     * 医生说明
     */
    @ApiModelProperty(hidden = false, value = "医生说明")
    private String doctorInstruction;
    /**
     * 摆药药房
     */
    @ApiModelProperty(hidden = false, value = "摆药药房")
    private String pharmacy;
    /**
     * 药房反馈
     */
    @ApiModelProperty(hidden = false, value = "药房反馈")
    private String pharmacyFeedback;
    /**
     * 长临标志
     */
    @ApiModelProperty(hidden = false, value = "长临标志")
    private String changlingSign;
    /**
     * 拆零数量
     */
    @ApiModelProperty(hidden = false, value = "拆零数量")
    private String splitCount;
    /**
     * 拆分系数
     */
    @ApiModelProperty(hidden = false, value = "拆分系数")
    private String splitRate;
    /**
     * 拆零单位
     */
    @ApiModelProperty(hidden = false, value = "拆零单位")
    private String zeroSplitUnit;
    /**
     * 操作员
     */
    @ApiModelProperty(hidden = false, value = "操作员")
    private String operator;
    /**
     * 单价
     */
    @ApiModelProperty(hidden = false, value = "单价")
    private String price;
    /**
     * 相关科室编号
     */
    @ApiModelProperty(hidden = false, value = "相关科室编号")
    private String relateDeptNo;
    /**
     * 关联单据号
     */
    @ApiModelProperty(hidden = false, value = "关联单据号")
    private String relateOrderNo;
    /**
     * 合并发药单号
     */
    @ApiModelProperty(hidden = false, value = "合并发药单号")
    private String combinedDeliveryCodeCode;
    /**
     * 合并发药人编号
     */
    @ApiModelProperty(hidden = false, value = "合并发药人编号")
    private String combinedDeliveryUserCode;
    /**
     * 合并发药人姓名
     */
    @ApiModelProperty(hidden = false, value = "合并发药人姓名")
    private String combinedDeliveryUserName;
    /**
     * 拿药时间
     */
    @ApiModelProperty(hidden = false, value = "拿药时间")
    private Date medicineTakeTime;
    /**
     * 拿药人编号
     */
    @ApiModelProperty(hidden = false, value = "拿药人编号")
    private String medicineTakerNo;
    /**
     * 拿药人名称
     */
    @ApiModelProperty(hidden = false, value = "拿药人名称")
    private String medicineTakerName;
    /**
     * 发药时间
     */
    @ApiModelProperty(hidden = false, value = "发药时间")
    private Date deliveryTime;
    /**
     * 生产厂家名称
     */
    @ApiModelProperty(hidden = false, value = "生产厂家名称")
    private String manufacturersName;
    /**
     * 发药人ID
     */
    @ApiModelProperty(hidden = false, value = "发药人ID")
    private Long deliveryUserId;
    /**
     * 发药人姓名
     */
    @ApiModelProperty(hidden = false, value = "发药人姓名")
    private String deliveryUserName;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
