package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 住院发药明细表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_hospitalized_drug_delivery_detail")
public class HphyWszyHospitalizedDrugDeliveryDetail extends Model<HphyWszyHospitalizedDrugDeliveryDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 机构内部编号
     */
    @ApiModelProperty(hidden = false, value = "机构内部编号")
    private String inteOrgNo;
    /**
     * 药房科室编号
     */
    @ApiModelProperty(hidden = false, value = "药房科室编号")
    private String pharmacyDeptNo;
    /**
     * 单据号
     */
    @ApiModelProperty(hidden = false, value = "单据号")
    private String orderNo;
    /**
     * 序号
     */
    @ApiModelProperty(hidden = false, value = "序号")
    private String serialNo;
    /**
     * 药品编码
     */
    @ApiModelProperty(hidden = false, value = "药品编码")
    private String medicineCode;
    /**
     * 批次号
     */
    @ApiModelProperty(hidden = false, value = "批次号")
    private String approveNo;
    /**
     * 药品名称
     */
    @ApiModelProperty(hidden = false, value = "药品名称")
    private String medicineName;
    /**
     * 药品规格
     */
    @ApiModelProperty(hidden = false, value = "药品规格")
    private String medicineSpec;
    /**
     * 批号
     */
    @ApiModelProperty(hidden = false, value = "批号")
    private String batchNo;
    /**
     * 效期
     */
    @ApiModelProperty(hidden = false, value = "效期")
    private Date expirationDate;
    /**
     * 库位码
     */
    @ApiModelProperty(hidden = false, value = "库位码")
    private String locationCode;
    /**
     * 厂家编号
     */
    @ApiModelProperty(hidden = false, value = "厂家编号")
    private String manufacturerNo;
    /**
     * 厂家名称
     */
    @ApiModelProperty(hidden = false, value = "厂家名称")
    private String manufacturerName;
    /**
     * 产地编号
     */
    @ApiModelProperty(hidden = false, value = "产地编号")
    private String originNo;
    /**
     * 产地名称
     */
    @ApiModelProperty(hidden = false, value = "产地名称")
    private String originName;
    /**
     * 批准文号
     */
    @ApiModelProperty(hidden = false, value = "批准文号")
    private String approvalNo;
    /**
     * 大单位
     */
    @ApiModelProperty(hidden = false, value = "大单位")
    private String largeUnit;
    /**
     * 拆分系数
     */
    @ApiModelProperty(hidden = false, value = "拆分系数")
    private String splitRate;
    /**
     * 拆零单位
     */
    @ApiModelProperty(hidden = false, value = "拆零单位")
    private String splitUnit;
    /**
     * 零售价
     */
    @ApiModelProperty(hidden = false, value = "零售价")
    private String retailPrice;
    /**
     * 拆零数量
     */
    @ApiModelProperty(hidden = false, value = "拆零数量")
    private String splitCount;
    /**
     * 零售金额
     */
    @ApiModelProperty(hidden = false, value = "零售金额")
    private String retailAmount;
    /**
     * 备注
     */
    @ApiModelProperty(hidden = false, value = "备注")
    private String note;
    /**
     * 项目序号
     */
    @ApiModelProperty(hidden = false, value = "项目序号")
    private String itemNo;
    /**
     * 数量描述
     */
    @ApiModelProperty(hidden = false, value = "数量描述")
    private String quantityDesc;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
