package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 医疗机构信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_medical_institution_info")
public class HphyWszyMedicalInstitutionInfo extends Model<HphyWszyMedicalInstitutionInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = false, value = "医院ID")
    private Long hospId;
    /**
     * 医院名称
     */
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hospName;
    /**
     * 医院照片地址
     */
    @ApiModelProperty(hidden = false, value = "医院照片地址")
    private String imgUrl;
    /**
     * 医院简介
     */
    @ApiModelProperty(hidden = false, value = "医院简介")
    private String introduction;
    /**
     * 医院地址
     */
    @ApiModelProperty(hidden = false, value = "医院地址")
    private String address;
    /**
     * 医院联系人
     */
    @ApiModelProperty(hidden = false, value = "医院联系人")
    private String contact;
    /**
     * 医院联系电话
     */
    @ApiModelProperty(hidden = false, value = "医院联系电话")
    private String contactPhone;
    /**
     * 医院官网
     */
    @ApiModelProperty(hidden = false, value = "医院官网")
    private String websitUrl;
    /**
     * 行政区划代码
     */
    @ApiModelProperty(hidden = false, value = "行政区划代码")
    private String areaCode;
    /**
     * 医院级别（一级、二级、三级）
     */
    @ApiModelProperty(hidden = false, value = "医院级别（一级、二级、三级）")
    private String level;
    /**
     * 医院等级（甲等、乙等、丙等、特等）
     */
    @ApiModelProperty(hidden = false, value = "医院等级（甲等、乙等、丙等、特等）")
    private String grade;
    /**
     * 院内楼层导航
     */
    @ApiModelProperty(hidden = false, value = "院内楼层导航")
    private String floorNavigation;
    /**
     * HIS医院ID
     */
    @ApiModelProperty(hidden = false, value = "HIS医院ID")
    private Long hisId;
    /**
     * 平台医院ID
     */
    @ApiModelProperty(hidden = false, value = "平台医院ID")
    private Long platformId;
    /**
     * 排序号
     */
    @ApiModelProperty(hidden = false, value = "排序号")
    private String sorting;
    /**
     * 状态（0：无效；1：有效）
     */
    @ApiModelProperty(hidden = false, value = "状态（0：无效；1：有效）")
    private String status;
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = false, value = "创建人")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = false, value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(hidden = false, value = "更新人")
    private String updateUserName;
    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = false, value = "更新时间")
    private Date updateTime;
    /**
     * 医院性质（1：国营；2：民营）
     */
    @ApiModelProperty(hidden = false, value = "医院性质（1：国营；2：民营）")
    private String property;
    /**
     * 经度
     */
    @ApiModelProperty(hidden = false, value = "经度")
    private String longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(hidden = false, value = "纬度")
    private String latitude;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
