package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 医务人员资源信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_medical_staff_resource_info")
public class HphyWszyMedicalStaffResourceInfo extends Model<HphyWszyMedicalStaffResourceInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 人员编码
     */
    @ApiModelProperty(hidden = false, value = "人员编码")
    private String userCode;
    /**
     * 人员姓名
     */
    @ApiModelProperty(hidden = false, value = "人员姓名")
    private String userName;
    /**
     * 人员类别
     */
    @ApiModelProperty(hidden = false, value = "人员类别")
    private String userType;
    /**
     * 所属医院
     */
    @ApiModelProperty(hidden = false, value = "所属医院")
    private String hospName;
    /**
     * 所属行政科室
     */
    @ApiModelProperty(hidden = false, value = "所属行政科室")
    private String dept;
    /**
     * 职称
     */
    @ApiModelProperty(hidden = false, value = "职称")
    private String title;
    /**
     * 照片
     */
    @ApiModelProperty(hidden = false, value = "照片")
    private String photo;
    /**
     * 医生简介
     */
    @ApiModelProperty(hidden = false, value = "医生简介")
    private String doctorIntroduction;
    /**
     * 医生擅长
     */
    @ApiModelProperty(hidden = false, value = "医生擅长")
    private String doctorGoodAt;
    /**
     * 执业资格证书编号
     */
    @ApiModelProperty(hidden = false, value = "执业资格证书编号")
    private String licenseNo;
    /**
     * 手机号码
     */
    @ApiModelProperty(hidden = false, value = "手机号码")
    private String phone;
    /**
     * 身份证号
     */
    @ApiModelProperty(hidden = false, value = "身份证号")
    private String idNo;
    /**
     * 性别
     */
    @ApiModelProperty(hidden = false, value = "性别")
    private String sexCode;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private String birthday;
    /**
     * 排序号
     */
    @ApiModelProperty(hidden = false, value = "排序号")
    private String sorting;
    /**
     * 状态（0：无效；1：有效）
     */
    @ApiModelProperty(hidden = false, value = "状态（0：无效；1：有效）")
    private String status;
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = false, value = "创建人")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = false, value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(hidden = false, value = "更新人")
    private String updateUserName;
    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = false, value = "更新时间")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
