package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 号源资源信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_no_source_resource_info")
public class HphyWszyNoSourceResourceInfo extends Model<HphyWszyNoSourceResourceInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 医院名称
     */
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hospName;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 医生级别
     */
    @ApiModelProperty(hidden = false, value = "医生级别")
    private String doctorLevel;
    /**
     * 挂号费用
     */
    @ApiModelProperty(hidden = false, value = "挂号费用")
    private String regFee;
    /**
     * 号源数量
     */
    @ApiModelProperty(hidden = false, value = "号源数量")
    private String numberSourceCount;
    /**
     * 已预约数量
     */
    @ApiModelProperty(hidden = false, value = "已预约数量")
    private String appointmentCount;
    /**
     * 上报时间
     */
    @ApiModelProperty(hidden = false, value = "上报时间")
    private Date reportTime;
    /**
     * 上报机构
     */
    @ApiModelProperty(hidden = false, value = "上报机构 ")
    private String reportOrg;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
