package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 门诊发药汇总表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_outpatient_delivery")
public class HphyWszyOutpatientDelivery extends Model<HphyWszyOutpatientDelivery> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 机构内部编号
     */
    @ApiModelProperty(hidden = false, value = "机构内部编号")
    private String inteOrgNo;
    /**
     * 药房科室编号
     */
    @ApiModelProperty(hidden = false, value = "药房科室编号")
    private String pharmacyDeptNo;
    /**
     * 收费单号
     */
    @ApiModelProperty(hidden = false, value = "收费单号")
    private String chargeOrderNo;
    /**
     * 门诊号
     */
    @ApiModelProperty(hidden = false, value = "门诊号")
    private String outpatientNo;
    /**
     * 病历号
     */
    @ApiModelProperty(hidden = false, value = "病历号")
    private String medicalRecordNo;
    /**
     * 病人姓名
     */
    @ApiModelProperty(hidden = false, value = "病人姓名")
    private String patientName;
    /**
     * 病人性别
     */
    @ApiModelProperty(hidden = false, value = "病人性别")
    private String patientSexCode;
    /**
     * 病人性别名称
     */
    @ApiModelProperty(hidden = false, value = "病人性别名称")
    private String patientSexName;
    /**
     * 病人类别
     */
    @ApiModelProperty(hidden = false, value = "病人类别")
    private String patientCategoryCode;
    /**
     * 病人类别名称
     */
    @ApiModelProperty(hidden = false, value = "病人类别名称")
    private String patientCategoryName;
    /**
     * 出生日期
     */
    @ApiModelProperty(hidden = false, value = "出生日期")
    private String birthday;
    /**
     * 年龄岁
     */
    @ApiModelProperty(hidden = false, value = "年龄岁")
    private String ageYear;
    /**
     * 年龄月
     */
    @ApiModelProperty(hidden = false, value = "年龄月")
    private String ageMonth;
    /**
     * 年龄日
     */
    @ApiModelProperty(hidden = false, value = "年龄日")
    private String ageDay;
    /**
     * 医生
     */
    @ApiModelProperty(hidden = false, value = "医生")
    private String doctor;
    /**
     * 医生姓名
     */
    @ApiModelProperty(hidden = false, value = "医生姓名")
    private String doctorName;
    /**
     * 科室
     */
    @ApiModelProperty(hidden = false, value = "科室")
    private String dept;
    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    /**
     * 床号
     */
    @ApiModelProperty(hidden = false, value = "床号")
    private String bedNo;
    /**
     * 诊断
     */
    @ApiModelProperty(hidden = false, value = "诊断")
    private String diagnosis;
    /**
     * 收费员
     */
    @ApiModelProperty(hidden = false, value = "收费员")
    private String chargeUser;
    /**
     * 收费日期
     */
    @ApiModelProperty(hidden = false, value = "收费日期")
    private Date chargeDate;
    /**
     * 收费窗口编号
     */
    @ApiModelProperty(hidden = false, value = "收费窗口编号")
    private String feeWindowNo;
    /**
     * 收费窗口名称
     */
    @ApiModelProperty(hidden = false, value = "收费窗口名称")
    private String feeWindowName;
    /**
     * 审核人编号
     */
    @ApiModelProperty(hidden = false, value = "审核人编号")
    private String auditUserCode;
    /**
     * 审核人名称
     */
    @ApiModelProperty(hidden = false, value = "审核人名称")
    private String auditUserName;
    /**
     * 调配人编号
     */
    @ApiModelProperty(hidden = false, value = "调配人编号")
    private String assigneesNo;
    /**
     * 调配人名称
     */
    @ApiModelProperty(hidden = false, value = "调配人名称")
    private String assigneesName;
    /**
     * 核对人编号
     */
    @ApiModelProperty(hidden = false, value = "核对人编号")
    private String checkUserCode;
    /**
     * 核对人名称
     */
    @ApiModelProperty(hidden = false, value = "核对人名称")
    private String checkUserName;
    /**
     * 发药人编号
     */
    @ApiModelProperty(hidden = false, value = "发药人编号")
    private String deliveryUserCode;
    /**
     * 发药人名称
     */
    @ApiModelProperty(hidden = false, value = "发药人名称")
    private String deliveryUserName;
    /**
     * 发药时间
     */
    @ApiModelProperty(hidden = false, value = "发药时间")
    private Date deliveryTime;
    /**
     * 发药状态
     */
    @ApiModelProperty(hidden = false, value = "发药状态")
    private String deliveryStatus;
    /**
     * 打印清单
     */
    @ApiModelProperty(hidden = false, value = "打印清单")
    private String printList;
    /**
     * 打印处方
     */
    @ApiModelProperty(hidden = false, value = "打印处方")
    private String printPrescription;
    /**
     * 收费状态
     */
    @ApiModelProperty(hidden = false, value = "收费状态")
    private String chargeStatus;
    /**
     * 取消部分退药单据号列表
     */
    @ApiModelProperty(hidden = false, value = "取消部分退药单据号列表")
    private String cancelPartWithdrawalOrderNo;
    /**
     * 部分退费单对应的原收费单号
     */
    @ApiModelProperty(hidden = false, value = "部分退费单对应的原收费单号")
    private String partRefundOriginalChargeNo;
    /**
     * 门诊医生申请退费单号
     */
    @ApiModelProperty(hidden = false, value = "门诊医生申请退费单号")
    private String applicationRefundNo;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
