package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 门诊发药明细表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_outpatient_delivery_detail")
public class HphyWszyOutpatientDeliveryDetail extends Model<HphyWszyOutpatientDeliveryDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 机构内部编号
     */
    @ApiModelProperty(hidden = false, value = "机构内部编号")
    private String inteOrgNo;
    /**
     * 药房科室编号
     */
    @ApiModelProperty(hidden = false, value = "药房科室编号")
    private String pharmacyDeptNo;
    /**
     * 收费单号
     */
    @ApiModelProperty(hidden = false, value = "收费单号")
    private String chargeOrderNo;
    /**
     * 序号
     */
    @ApiModelProperty(hidden = false, value = "序号")
    private String serialNo;
    /**
     * 开单流水号
     */
    @ApiModelProperty(hidden = false, value = "开单流水号")
    private String billingSerialNo;
    /**
     * 医嘱组号
     */
    @ApiModelProperty(hidden = false, value = "医嘱组号")
    private String doctorOrderGroup;
    /**
     * 子医嘱序号
     */
    @ApiModelProperty(hidden = false, value = "子医嘱序号")
    private String subDoctorOrderNo;
    /**
     * 项目代码
     */
    @ApiModelProperty(hidden = false, value = "项目代码")
    private String itemCode;
    /**
     * 项目名称
     */
    @ApiModelProperty(hidden = false, value = "项目名称")
    private String itemName;
    /**
     * 规格
     */
    @ApiModelProperty(hidden = false, value = "规格")
    private String spec;
    /**
     * 单位
     */
    @ApiModelProperty(hidden = false, value = "单位")
    private String unit;
    /**
     * 拆分系数
     */
    @ApiModelProperty(hidden = false, value = "拆分系数")
    private String splitRate;
    /**
     * 拆零单位
     */
    @ApiModelProperty(hidden = false, value = "拆零单位")
    private String zeroSplitUnit;
    /**
     * 厂家编号
     */
    @ApiModelProperty(hidden = false, value = "厂家编号")
    private String manufacturerNo;
    /**
     * 厂家名称
     */
    @ApiModelProperty(hidden = false, value = "厂家名称")
    private String manufacturerName;
    /**
     * 产地编号
     */
    @ApiModelProperty(hidden = false, value = "产地编号")
    private String originNo;
    /**
     * 产地名称
     */
    @ApiModelProperty(hidden = false, value = "产地名称")
    private String originName;
    /**
     * 单价
     */
    @ApiModelProperty(hidden = false, value = "单价")
    private String price;
    /**
     * 拆零数量
     */
    @ApiModelProperty(hidden = false, value = "拆零数量")
    private String splitCount;
    /**
     * 总数量
     */
    @ApiModelProperty(hidden = false, value = "总数量")
    private String totalCount;
    /**
     * 数量描述
     */
    @ApiModelProperty(hidden = false, value = "数量描述")
    private String quantityDesc;
    /**
     * 总金额
     */
    @ApiModelProperty(hidden = false, value = "总金额")
    private String totalAmount;
    /**
     * 优惠折扣
     */
    @ApiModelProperty(hidden = false, value = "优惠折扣")
    private String discount;
    /**
     * 折后金额
     */
    @ApiModelProperty(hidden = false, value = "折后金额")
    private String discountAmt;
    /**
     * 报销比率
     */
    @ApiModelProperty(hidden = false, value = "报销比率")
    private String reimbursementRatio;
    /**
     * 开单医生
     */
    @ApiModelProperty(hidden = false, value = "开单医生")
    private String applyDoctor;
    /**
     * 开单医生名
     */
    @ApiModelProperty(hidden = false, value = "开单医生名")
    private String billingDoctorName;
    /**
     * 开单科室
     */
    @ApiModelProperty(hidden = false, value = "开单科室")
    private String billingDept;
    /**
     * 开单科室名
     */
    @ApiModelProperty(hidden = false, value = "开单科室名")
    private String billingDeptName;
    /**
     * 执行科室
     */
    @ApiModelProperty(hidden = false, value = "执行科室")
    private String execDept;
    /**
     * 执行科室名
     */
    @ApiModelProperty(hidden = false, value = "执行科室名")
    private String execDeptName;
    /**
     * 发票费用归类
     */
    @ApiModelProperty(hidden = false, value = "发票费用归类")
    private String invoiceCostType;
    /**
     * 发票号码
     */
    @ApiModelProperty(hidden = false, value = "发票号码")
    private String invoiceNo;
    /**
     * 医生说明
     */
    @ApiModelProperty(hidden = false, value = "医生说明")
    private String doctorInstruction;
    /**
     * 基本剂量
     */
    @ApiModelProperty(hidden = false, value = "基本剂量")
    private String basicDose;
    /**
     * 剂量单位
     */
    @ApiModelProperty(hidden = false, value = "剂量单位")
    private String doseUnit;
    /**
     * 一次用量
     */
    @ApiModelProperty(hidden = false, value = "一次用量")
    private String oneTimeDosage;
    /**
     * 用量单位
     */
    @ApiModelProperty(hidden = false, value = "用量单位")
    private String dosageUnit;
    /**
     * 用药方法
     */
    @ApiModelProperty(hidden = false, value = "用药方法")
    private String medicationMethod;
    /**
     * 用药方法名
     */
    @ApiModelProperty(hidden = false, value = "用药方法名")
    private String medicationMethodName;
    /**
     * 滴数
     */
    @ApiModelProperty(hidden = false, value = "滴数")
    private String dropsCount;
    /**
     * 频次
     */
    @ApiModelProperty(hidden = false, value = "频次")
    private String frequency;
    /**
     * 频次名
     */
    @ApiModelProperty(hidden = false, value = "频次名")
    private String frequencyName;
    /**
     * 用药天数
     */
    @ApiModelProperty(hidden = false, value = "用药天数")
    private String medicationDays;
    /**
     * 剂数
     */
    @ApiModelProperty(hidden = false, value = "剂数")
    private String doseCount;
    /**
     * 皮试
     */
    @ApiModelProperty(hidden = false, value = "皮试")
    private String skinTest;
    /**
     * 自备药标记
     */
    @ApiModelProperty(hidden = false, value = "自备药标记")
    private String ownMedicineMark;
    /**
     * 状态
     */
    @ApiModelProperty(hidden = false, value = "状态")
    private String status;
    /**
     * 关联序号
     */
    @ApiModelProperty(hidden = false, value = "关联序号")
    private String relateNo;
    /**
     * 备注
     */
    @ApiModelProperty(hidden = false, value = "备注")
    private String note;
    /**
     * 中药脚注
     */
    @ApiModelProperty(hidden = false, value = "中药脚注")
    private String cmFootnote;
    /**
     * 中药脚注名
     */
    @ApiModelProperty(hidden = false, value = "中药脚注名")
    private String cmFootnoteName;
    /**
     * 对应处方组号
     */
    @ApiModelProperty(hidden = false, value = "对应处方组号")
    private String prescriptionGroupNo;
    /**
     * 对应处方子组号
     */
    @ApiModelProperty(hidden = false, value = "对应处方子组号")
    private String prescriptionSubgroupNo;
    /**
     * 门诊销售方式
     */
    @ApiModelProperty(hidden = false, value = "门诊销售方式")
    private String outpatientSaleType;
    /**
     * 总共退药数量
     */
    @ApiModelProperty(hidden = false, value = "总共退药数量")
    private String withdrawalCount;
    /**
     * 此次退药的拆零数量
     */
    @ApiModelProperty(hidden = false, value = "此次退药的拆零数量")
    private String withdrawalSplitCount;
    /**
     * 退药人编号
     */
    @ApiModelProperty(hidden = false, value = "退药人编号")
    private String withdrawalUserNo;
    /**
     * 退药人名称
     */
    @ApiModelProperty(hidden = false, value = "退药人名称")
    private String withdrawalUserName;
    /**
     * 最后一次退药时间
     */
    @ApiModelProperty(hidden = false, value = "最后一次退药时间")
    private Date lastWithdrawalTime;
    /**
     * 此次取消退药的拆零数量
     */
    @ApiModelProperty(hidden = false, value = "此次取消退药的拆零数量")
    private String cancelWithdrawalSplitCount;
    /**
     * 取消退药人编号
     */
    @ApiModelProperty(hidden = false, value = "取消退药人编号")
    private String cancelWithdrawalUserCode;
    /**
     * 取消退药人名称
     */
    @ApiModelProperty(hidden = false, value = "取消退药人名称")
    private String cancelWithdrawalUserName;
    /**
     * 最后一次取消退药时间
     */
    @ApiModelProperty(hidden = false, value = "最后一次取消退药时间")
    private Date lastCancelWithdrawalTime;
    /**
     * 部分退费单对应的原收费单号
     */
    @ApiModelProperty(hidden = false, value = "部分退费单对应的原收费单号")
    private String partRefundOriginalChargeNo;
    /**
     * 部分退费单对应的原发票号码
     */
    @ApiModelProperty(hidden = false, value = "部分退费单对应的原发票号码")
    private String partRefundOriginalInvoiceNo;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
