package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 转诊信息表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_transfer_info")
public class HphyWszyTransferInfo extends Model<HphyWszyTransferInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 平台转诊ID
     */
    @ApiModelProperty(hidden = false, value = "平台转诊ID")
    private Long platformTransferId;
    /**
     * 来源机构号
     */
    @ApiModelProperty(hidden = false, value = "来源机构号")
    private String sourceOrgNo;
    /**
     * 申请医生id
     */
    @ApiModelProperty(hidden = false, value = "申请医生id")
    private Long applyDoctorId;
    /**
     * 申请医生名称
     */
    @ApiModelProperty(hidden = false, value = "申请医生名称")
    private String applyDoctorName;
    /**
     * 申请医生电话
     */
    @ApiModelProperty(hidden = false, value = "申请医生电话")
    private String applyDoctorPhone;
    /**
     * 患者姓名
     */
    @ApiModelProperty(hidden = false, value = "患者姓名")
    private String name;
    /**
     * 患者证件类型
     */
    @ApiModelProperty(hidden = false, value = "患者证件类型")
    private String patientIdType;
    /**
     * 患者证件号
     */
    @ApiModelProperty(hidden = false, value = "患者证件号")
    private String patientIdNo;
    /**
     * 患者电话
     */
    @ApiModelProperty(hidden = false, value = "患者电话")
    private String patientTel;
    /**
     * 患者手机
     */
    @ApiModelProperty(hidden = false, value = "患者手机")
    private String patientPhone;
    /**
     * 患者性别
     */
    @ApiModelProperty(hidden = false, value = "患者性别")
    private String patientGender;
    /**
     * 患者出生日期
     */
    @ApiModelProperty(hidden = false, value = "患者出生日期")
    private String patientBirthday;
    /**
     * 本次就诊流水号
     */
    @ApiModelProperty(hidden = false, value = "本次就诊流水号")
    private String outpatientSerialNo;
    /**
     * 申请机构id
     */
    @ApiModelProperty(hidden = false, value = "申请机构id")
    private Long applyOrgId;
    /**
     * 申请科室id
     */
    @ApiModelProperty(hidden = false, value = "申请科室id")
    private Long applyDeptId;
    /**
     * 病情等级
     */
    @ApiModelProperty(hidden = false, value = "病情等级")
    private String conditionGrade;
    /**
     * 转诊原因类型
     */
    @ApiModelProperty(hidden = false, value = "转诊原因类型")
    private String transferReasonType;
    /**
     * 具体转诊原因
     */
    @ApiModelProperty(hidden = false, value = "具体转诊原因")
    private String transferDetailReason;
    /**
     * 申请就诊日期
     */
    @ApiModelProperty(hidden = false, value = "申请就诊日期")
    private Date applyClinicDate;
    /**
     * 申请就诊时间
     */
    @ApiModelProperty(hidden = false, value = "申请就诊时间")
    private Date applyClinicTime;
    /**
     * 是否愿意接受调剂
     */
    @ApiModelProperty(hidden = false, value = "是否愿意接受调剂")
    private String isAcceptTransfer;
    /**
     * 接受调剂最晚日期
     */
    @ApiModelProperty(hidden = false, value = "接受调剂最晚日期")
    private Date lastestAcceptTransferDate;
    /**
     * 申请单状态
     */
    @ApiModelProperty(hidden = false, value = "申请单状态")
    private String applyFormStatus;
    /**
     * 描述
     */
    @ApiModelProperty(hidden = false, value = "描述")
    private String description;
    /**
     * 省平台转诊id
     */
    @ApiModelProperty(hidden = false, value = "省平台转诊id")
    private Long provincialTransferId;
    /**
     * 申请单处理状态
     */
    @ApiModelProperty(hidden = false, value = "申请单处理状态")
    private String applyFormProStatus;
    /**
     * 处理结果描述
     */
    @ApiModelProperty(hidden = false, value = "处理结果描述")
    private String processingResultDesc;
    /**
     * 患者医保卡类型
     */
    @ApiModelProperty(hidden = false, value = "患者医保卡类型")
    private String patientInsuranceCardType;
    /**
     * 卡号
     */
    @ApiModelProperty(hidden = false, value = "卡号")
    private String cardNo;
    /**
     * 付费方式
     */
    @ApiModelProperty(hidden = false, value = "付费方式")
    private String paymentMethod;
    /**
     * 患者住址
     */
    @ApiModelProperty(hidden = false, value = "患者住址")
    private String patientAddress;
    /**
     * 邮编
     */
    @ApiModelProperty(hidden = false, value = "邮编")
    private String postcode;
    /**
     * 床号
     */
    @ApiModelProperty(hidden = false, value = "床号")
    private String bedNo;
    /**
     * 接受科室名称
     */
    @ApiModelProperty(hidden = false, value = "接受科室名称")
    private String acceptDeptName;
    /**
     * 接收科室id
     */
    @ApiModelProperty(hidden = false, value = "接收科室id")
    private Long receptionDeptId;
    /**
     * 诊断
     */
    @ApiModelProperty(hidden = false, value = "诊断")
    private String diagnosis;
    /**
     * 主诉
     */
    @ApiModelProperty(hidden = false, value = "主诉")
    private String chiefComplaints;
    /**
     * 登记时间
     */
    @ApiModelProperty(hidden = false, value = "登记时间")
    private Date regTime;
    /**
     * 来源机构名称
     */
    @ApiModelProperty(hidden = false, value = "来源机构名称")
    private String sourceOrgName;
    /**
     * 申请机构名称
     */
    @ApiModelProperty(hidden = false, value = "申请机构名称")
    private String applyOrgName;
    /**
     * 医保转诊号
     */
    @ApiModelProperty(hidden = false, value = "医保转诊号")
    private String medicareTransferNo;
    /**
     * 性别名称
     */
    @ApiModelProperty(hidden = false, value = "性别名称")
    private String sexName;
    /**
     * 签约标志
     */
    @ApiModelProperty(hidden = false, value = "签约标志")
    private String contractedSign;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
