package cn.sh.stc.sict.theme.hphy.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdcardUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.sh.stc.sict.cloud.common.core.constant.Constant;
import cn.sh.stc.sict.cloud.common.core.dto.WDUserCardInfo;
import cn.sh.stc.sict.cloud.common.core.dto.WDUserInfo;
import cn.sh.stc.sict.cloud.upms.dto.CurrentUser;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;

import cn.sh.stc.sict.theme.hphy.dao.HphyPatientBaseMapper;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import cn.sh.stc.sict.theme.hphy.service.HphyPatientBaseService;

import java.util.List;


@Service("hphyPatientBaseService")
@AllArgsConstructor
public class HphyPatientBaseServiceImpl extends ServiceImpl<HphyPatientBaseMapper, HphyPatientBase> implements HphyPatientBaseService {

    private final HphyPatientBaseMapper hphyPatientBaseMapper;

    @Override
    public HphyPatientBase getByOpenId(String openId) {
        LambdaQueryWrapper<HphyPatientBase> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(HphyPatientBase::getOpenId, openId);

        return this.getOne(wrapper);
    }

    @Override
    public HphyPatientBase saveSSbInfo(CurrentUser current, WDUserInfo userInfo, List<WDUserCardInfo> cardList) {
        if (ObjectUtil.isNotNull(userInfo)) {
            HphyPatientBase base = new HphyPatientBase();
            base.setOpenId(current.getOpenId());
            base.setPhone(userInfo.getMobile());
            base.setName(userInfo.getUsername());
            base.setCertId(userInfo.getPersoncard());
            base.setAge(String.valueOf(IdcardUtil.getAgeByIdCard(userInfo.getPersoncard())));
            base.setGender(Constant.STRING_YES.equals(userInfo.getGender()) ? "男" : "女");
            base.setVerifyStatus(userInfo.getVerifyStatus());
            if(CollUtil.isNotEmpty(cardList)){
                WDUserCardInfo card = cardList.get(0);
                base.setMediCardId(card.getCardNo());
                base.setMediCardType(card.getCardType());
            }

            this.save(base);
        }
        return null;
    }
}
